/*
 * $QNXLicenseC: 
 * Copyright 2008, QNX Software Systems.  
 *  
 * Licensed under the Apache License, Version 2.0 (the "License"). You  
 * may not reproduce, modify or distribute this software except in  
 * compliance with the License. You may obtain a copy of the License  
 * at: http://www.apache.org/licenses/LICENSE-2.0  
 *  
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" basis,  
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied. 
 * 
 * This file may contain contributions from others, either as  
 * contributors under the License or as licensors under other terms.   
 * Please review this entire file for other proprietary rights or license  
 * notices, as well as the QNX Development Suite License Guide at  
 * http://licensing.qnx.com/license-guide/ for other information. 
 * $ 
 */

#include <sys/srcversion.h>

#define	PCI_VENDOR_ID_ACCTON						0x1113
		#define PCI_DEVICE_ID_ACCTON_1211			0x1211
		#define	PCI_DEVICE_ID_ACCTON_EN2242			0x1216

#define PCI_VENDOR_ID_SIS							0x1039
		#define	PCI_DEVICE_ID_SIS_630				0x0630 /* Host PCI */
		#define PCI_DEVICE_ID_SIS_963				0x0963 /* 963 MuTIOL */
		#define PCI_DEVICE_ID_SIS_964				0x0964 /* 964 MuTIOL */
		#define PCI_DEVICE_ID_SIS_5513				0x5513 /* IDE */
		#define PCI_DEVICE_ID_SIS_5517				0x5517 /* IDE */
		#define PCI_DEVICE_ID_SIS_5518				0x5518 /* IDE */
		#define PCI_DEVICE_ID_SIS_5597				0x5597 /* Host PCI */
        #define PCI_DEVICE_ID_SIS_SATA              0x0180 /* SATA */
        #define PCI_DEVICE_ID_SIS_SATA_1            0x0181 /* SATA */

#define PCI_VENDOR_ID_V3							0x11b0
		#define PCI_DEVICE_ID_V3_960				0x0001
		#define PCI_DEVICE_ID_V3_961				0x0002
		#define PCI_DEVICE_ID_V3_962				0x0004
		#define PCI_DEVICE_ID_V3_292				0x0010

#define PCI_VENDOR_ID_REALTEK						0x10ec
		#define PCI_DEVICE_ID_REALTEK_8029			0x8029
		#define PCI_DEVICE_ID_REALTEK_8129			0x8129
		#define PCI_DEVICE_ID_REALTEK_8139			0x8139
		#define PCI_DEVICE_ID_REALTEK_8169			0x8169	/* Gigabit */
		#define PCI_DEVICE_ID_REALTEK_8167			0x8167	/* Gigabit */
		#define PCI_DEVICE_ID_REALTEK_8168			0x8168	/* Gigabit */
		#define PCI_DEVICE_ID_REALTEK_8136			0x8136	/* Gigabit */

#define PCI_VENDOR_ID_WINBOND2						0x1050
		#define PCI_DEVICE_ID_WINBOND2_89C940		0x0940

#define PCI_VENDOR_ID_WINBOND						0x10ad
		#define PCI_DEVICE_ID_WINBOND_W83C553F		0x0105

#define PCI_VENDOR_ID_COMPEX						0x11f6
		#define PCI_DEVICE_ID_COMPEX_RL2000			0x1401
        #define PCI_DEVICE_ID_COMPEX_RL100TX        0x9881

#define PCI_VENDOR_ID_KTI							0x8e2e
		#define PCI_DEVICE_ID_KTI_ET32P2			0x3000

#define PCI_VENDOR_ID_NETVIN						0x4a14
		#define PCI_DEVICE_ID_NETVIN_NV5000SC		0x5000

#define PCI_VENDOR_ID_SYMBIOS						0x1000
		#define PCI_DEVICE_ID_SYM_53C810			0x0001
		#define PCI_DEVICE_ID_SYM_53C820			0x0002
		#define PCI_DEVICE_ID_SYM_53C825			0x0003
		#define PCI_DEVICE_ID_SYM_53C815			0x0004
		#define PCI_DEVICE_ID_SYM_53C810AP			0x0005
		#define PCI_DEVICE_ID_SYM_53C860			0x0006
		#define PCI_DEVICE_ID_SYM_53C896			0x000B
		#define PCI_DEVICE_ID_SYM_53C885			0x000C
		#define PCI_DEVICE_ID_SYM_53C895			0x000D
		#define PCI_DEVICE_ID_SYM_53C875			0x000F
		#define PCI_DEVICE_ID_SYM_53C895A			0x0012

#define PCI_VENDOR_ID_IBM							0x1014
		#define PCI_DEVICE_ID_IBM_TOKENRING			0x003e
		#define PCI_DEVICE_ID_IBM_TOKENRINGLS		0x0018

#define PCI_VENDOR_ID_ADAPTEC						0x9004
		#define PCI_DEVICE_ID_ADAPTEC_7850			0x5078
		#define PCI_DEVICE_ID_ADAPTEC_7855			0x5578
		#define PCI_DEVICE_ID_ADAPTEC_7860			0x6078
		#define PCI_DEVICE_ID_ADAPTEC_7861			0x6178
		#define PCI_DEVICE_ID_ADAPTEC_7870			0x7078
		#define PCI_DEVICE_ID_ADAPTEC_2940			0x7178
		#define PCI_DEVICE_ID_ADAPTEC_3940			0x7278
		#define PCI_DEVICE_ID_ADAPTEC_3985			0x7378
		#define PCI_DEVICE_ID_ADAPTEC_7874			0x7478
		#define PCI_DEVICE_ID_ADAPTEC_7880			0x8078
		#define PCI_DEVICE_ID_ADAPTEC_2940F			0x8178
		#define PCI_DEVICE_ID_ADAPTEC_7882			0x8278
		#define PCI_DEVICE_ID_ADAPTEC_7883			0x8378
		#define PCI_DEVICE_ID_ADAPTEC_7884			0x8478

#define PCI_VENDOR_ID_QLOGIC						0x1077
		#define PCI_DEVICE_ID_QLOGIC_ISP1020		0x1020

#define PCI_VENDOR_ID_DPT               			0x1044   
		#define PCI_DEVICE_ID_DPT               	0xa400  

#define PCI_VENDOR_ID_S3							0x5333
		#define PCI_DEVICE_ID_S3_VIRGE				0x5631
		#define PCI_DEVICE_ID_S3_VIRGEVX			0x883d
		#define PCI_DEVICE_ID_S3_864_1				0x88c0
		#define PCI_DEVICE_ID_S3_864_2				0x88c1
		#define PCI_DEVICE_ID_S3_928				0x88b0
		#define PCI_DEVICE_ID_S3_964_1				0x88d0
		#define PCI_DEVICE_ID_S3_964_2				0x88d1
		#define PCI_DEVICE_ID_S3_811				0x8811
		#define PCI_DEVICE_ID_S3_AURORA64VP			0x8812
		#define PCI_DEVICE_ID_S3_TRIO64UVP			0x8814
		#define PCI_DEVICE_ID_S3_868				0x8880
		#define PCI_DEVICE_ID_S3_968				0x88f0

#define PCI_VENDOR_ID_OPTI							0x1045
		#define PCI_DEVICE_ID_OPTI_82C822			0xc822
		#define PCI_DEVICE_ID_OPTI_82C621			0xc621

#define PCI_VENDOR_ID_UMC							0x1060
		#define PCI_DEVICE_ID_UMC_UM8881F			0x8881
		#define PCI_DEVICE_ID_UMC_UM8891A			0x0891
		#define PCI_DEVICE_ID_UMC_UM8886F			0x8886
		#define PCI_DEVICE_ID_UMC_UM8673F			0x0101

#define PCI_VENDOR_ID_DEC							0x1011
		#define PCI_DEVICE_ID_DEC_BRD				0x0001
		#define PCI_DEVICE_ID_DEC_21040				0x0002
		#define PCI_DEVICE_ID_DEC_TGA				0x0004
		#define PCI_DEVICE_ID_DEC_SMC_21140			0x0008
		#define PCI_DEVICE_ID_DEC_21140				0x0009
		#define PCI_DEVICE_ID_DEC_FDDI				0x000F
		#define PCI_DEVICE_ID_DEC_21041				0x0014
		#define PCI_DEVICE_ID_DEC_21143				0x0019
		#define PCI_DEVICE_ID_DEC_21052				0x0021
		#define PCI_DEVICE_ID_DEC_21152				0x0024
		#define PCI_DEVICE_ID_DEC_21154				0x0026
		#define PCI_DEVICE_ID_DEC_PNIC				0x0030
		#define PCI_DEVICE_ID_DEC_21145				0x0039
		#define PCI_DEVICE_ID_DEC_21554				0x0046

#define PCI_VENDOR_ID_LITEON                        0x11AD
        #define PCI_DEVICE_ID_LITEON_PNIC           0x0002
        #define PCI_DEVICE_ID_LITEON_PNICX          0x0168
        #define PCI_DEVICE_ID_LITEON_PNICII         0xc115

#define PCI_VENDOR_ID_MACRONIX                      0x10d9
        #define PCI_DEVICE_ID_MACRONIX_98713        0x0512
        #define PCI_DEVICE_ID_MACRONIX_987x5        0x0531

#define PCI_VENDOR_ID_ABOCOM                        0x13d1
        #define PCI_DEVICE_ID_ABOCOM_FE2500         0xab02
        #define PCI_DEVICE_ID_ABOCOM_SMC8035        0xab08

#define PCI_VENDOR_ID_ASIX                          0x125b
        #define PCI_DEVICE_ID_ASIX_88140            0x1400

#define PCI_VENDOR_ID_ADMTEK                        0x1317
        #define PCI_DEVICE_ID_ADMTEK_AN981          0x0981
        #define PCI_DEVICE_ID_ADMTEK_AN985          0x0985

#define PCI_VENDOR_ID_XIRCOM                        0x115d
        #define PCI_DEVICE_ID_XIRCOM_TULIP          0x0003

#define PCI_VENDOR_ID_MATROX						0x102B
		#define PCI_DEVICE_ID_MATROX_MGA_2			0x0518
		#define PCI_DEVICE_ID_MATROX_MGA_IMP		0x0d10

#define PCI_VENDOR_ID_3COM		0x10b7
		#define PCI_DEVICE_ID_3COM_3C450			0x4500
		#define PCI_DEVICE_ID_3COM_3C575B			0x5157
		#define PCI_DEVICE_ID_3COM_3C575C			0x5257
		#define PCI_DEVICE_ID_3COM_3C590			0x5900
		#define PCI_DEVICE_ID_3COM_3C595TX			0x5950
		#define PCI_DEVICE_ID_3COM_3C595T4			0x5951
		#define PCI_DEVICE_ID_3COM_3C595MII			0x5952
		#define PCI_DEVICE_ID_3COM_3C556			0x6055
		#define PCI_DEVICE_ID_3COM_3C556B			0x6056
		#define PCI_DEVICE_ID_3COM_3C656			0x6560
		#define PCI_DEVICE_ID_3COM_3C656B			0x6562
		#define PCI_DEVICE_ID_3COM_3C656C			0x6564
		#define PCI_DEVICE_ID_3COM_3C900			0x9000
		#define PCI_DEVICE_ID_3COM_3C900_COMBO		0x9001
		#define PCI_DEVICE_ID_3COM_3C900B			0x9004
		#define PCI_DEVICE_ID_3COM_3C900B_COMBO		0x9005
		#define PCI_DEVICE_ID_3COM_3C900B_TPO		0x9006
		#define PCI_DEVICE_ID_3COM_3C900B_FL		0x900a
		#define PCI_DEVICE_ID_3COM_905				0x9050
		#define PCI_DEVICE_ID_3COM_905_COMBO		0x9051
		#define PCI_DEVICE_ID_3COM_905B				0x9055
		#define PCI_DEVICE_ID_3COM_905B_T4			0x9056
		#define PCI_DEVICE_ID_3COM_905B_COMBO		0x9058
		#define PCI_DEVICE_ID_3COM_905B_FX			0x905a
		#define PCI_DEVICE_ID_3COM_905C				0x9200
		#define PCI_DEVICE_ID_3COM_905_IXP200		0x9202
		#define PCI_DEVICE_ID_3COM_980				0x9800
		#define PCI_DEVICE_ID_3COM_980_TX			0x9805
		#define	PCI_DEVICE_ID_3COM_3C940			0x1700
		#define	PCI_DEVICE_ID_3COM_3C940B			0x80eb

#define PCI_VENDOR_ID_INTEL							0x8086
		#define PCI_DEVICE_ID_INTEL_82378				0x0484
		#define PCI_DEVICE_ID_INTEL_82424				0x0483
		#define PCI_DEVICE_ID_INTEL_82375				0x0482
		#define PCI_DEVICE_ID_INTEL_82434				0x04a3
		#define PCI_DEVICE_ID_INTEL_82430				0x0486
		#define PCI_DEVICE_ID_INTEL_82437				0x122d
		#define PCI_DEVICE_ID_INTEL_82371				0x122e

		/* Gigabit devices */		
		#define PCI_DEVICE_ID_INTEL_DH89XXCC_SGMII				0x0438
		#define PCI_DEVICE_ID_INTEL_DH89XXCC_SERDES				0x043A
		#define PCI_DEVICE_ID_INTEL_DH89XXCC_BACKPLANE			0x043C
		#define PCI_DEVICE_ID_INTEL_DH89XXCC_SFP				0x0440
		#define PCI_DEVICE_ID_INTEL_82542						0x1000
		#define PCI_DEVICE_ID_INTEL_82543GC_FIBER				0x1001
		#define PCI_DEVICE_ID_INTEL_82543GC_COPPER				0x1004
		#define PCI_DEVICE_ID_INTEL_82544EI_COPPER				0x1008
		#define PCI_DEVICE_ID_INTEL_82544EI_FIBER				0x1009
		#define PCI_DEVICE_ID_INTEL_82544GC_COPPER				0x100C
		#define PCI_DEVICE_ID_INTEL_82544GC_LOM					0x100D
		#define PCI_DEVICE_ID_INTEL_82540EM						0x100E
		#define PCI_DEVICE_ID_INTEL_82540EM_LOM					0x1015
		#define PCI_DEVICE_ID_INTEL_82540EP_LOM					0x1016
		#define PCI_DEVICE_ID_INTEL_82540EP						0x1017
		#define PCI_DEVICE_ID_INTEL_82540EP_LP					0x101E
		#define PCI_DEVICE_ID_INTEL_82545EM_COPPER				0x100F
		#define PCI_DEVICE_ID_INTEL_82545EM_FIBER				0x1011
		#define PCI_DEVICE_ID_INTEL_82545GM_COPPER				0x1026
		#define PCI_DEVICE_ID_INTEL_82545GM_FIBER				0x1027
		#define PCI_DEVICE_ID_INTEL_82545GM_SERDES				0x1028
		#define PCI_DEVICE_ID_INTEL_82546EB_COPPER				0x1010
		#define PCI_DEVICE_ID_INTEL_82546EB_FIBER				0x1012
		#define PCI_DEVICE_ID_INTEL_82546EB_QUAD_COPPER			0x101D
		#define PCI_DEVICE_ID_INTEL_82546GB_COPPER				0x1079
		#define PCI_DEVICE_ID_INTEL_82546GB_FIBER				0x107A
		#define PCI_DEVICE_ID_INTEL_82546GB_SERDES				0x107B
		#define PCI_DEVICE_ID_INTEL_82546GB_PCIE				0x108A
		#define PCI_DEVICE_ID_INTEL_82546GB_QUAD_COPPER			0x1099
		#define PCI_DEVICE_ID_INTEL_82546GB_QUAD_COPPER_KSP3	0x10B5
		#define PCI_DEVICE_ID_INTEL_82541EI						0x1013
		#define PCI_DEVICE_ID_INTEL_82541EI_MOBILE				0x1018
		#define PCI_DEVICE_ID_INTEL_82541ER_LOM					0x1014
		#define PCI_DEVICE_ID_INTEL_82541ER						0x1078
		#define PCI_DEVICE_ID_INTEL_82541GI						0x1076
		#define PCI_DEVICE_ID_INTEL_82541GI_LF					0x107C
		#define PCI_DEVICE_ID_INTEL_82541GI_MOBILE				0x1077
		#define PCI_DEVICE_ID_INTEL_82547EI						0x1019
		#define PCI_DEVICE_ID_INTEL_82547EI_MOBILE				0x101A
		#define PCI_DEVICE_ID_INTEL_82547GI						0x1075
		#define PCI_DEVICE_ID_INTEL_82571EB_COPPER				0x105E
		#define PCI_DEVICE_ID_INTEL_82571EB_FIBER				0x105F
		#define PCI_DEVICE_ID_INTEL_82571EB_SERDES				0x1060
		#define PCI_DEVICE_ID_INTEL_82571EB_SERDES_DUAL			0x10d9
		#define PCI_DEVICE_ID_INTEL_82571EB_SERDES_QUAD			0x10da
		#define PCI_DEVICE_ID_INTEL_82571EB_QUAD_COPPER			0x10A4
		#define PCI_DEVICE_ID_INTEL_82571PT_QUAD_COPPER			0x10d5
		#define PCI_DEVICE_ID_INTEL_82571EB_QUAD_FIBER			0x10A5
		#define PCI_DEVICE_ID_INTEL_82571EB_QUAD_COPPER_LP		0x10BC
		#define PCI_DEVICE_ID_INTEL_82572EI_COPPER				0x107D
		#define PCI_DEVICE_ID_INTEL_82572EI_FIBER				0x107E
		#define PCI_DEVICE_ID_INTEL_82572EI_SERDES				0x107F
		#define PCI_DEVICE_ID_INTEL_82572EI						0x10B9
		#define PCI_DEVICE_ID_INTEL_82573E						0x108B
		#define PCI_DEVICE_ID_INTEL_82573E_IAMT					0x108C
		#define PCI_DEVICE_ID_INTEL_82573L						0x109A
		#define PCI_DEVICE_ID_INTEL_82574L						0x10D3
		#define PCI_DEVICE_ID_INTEL_80003ES2LAN_COPPER_DPT		0x1096
		#define PCI_DEVICE_ID_INTEL_80003ES2LAN_SERDES_DPT		0x1098
		#define PCI_DEVICE_ID_INTEL_80003ES2LAN_COPPER_SPT		0x10BA
		#define PCI_DEVICE_ID_INTEL_80003ES2LAN_SERDES_SPT		0x10BB
		#define PCI_DEVICE_ID_INTEL_ICH8_IGP_M_AMT				0x1049
		#define PCI_DEVICE_ID_INTEL_ICH8_IGP_AMT				0x104A
		#define PCI_DEVICE_ID_INTEL_ICH8_IGP_C					0x104B
		#define PCI_DEVICE_ID_INTEL_ICH8_IFE					0x104C
		#define PCI_DEVICE_ID_INTEL_ICH8_IFE_GT					0x10C4
		#define PCI_DEVICE_ID_INTEL_ICH8_IFE_G					0x10C5
		#define PCI_DEVICE_ID_INTEL_ICH8_IGP_M					0x104D
		#define	PCI_DEVICE_ID_INTEL_ICH8_82567V_3				0x1501
		#define	PCI_DEVICE_ID_INTEL_ICH8_82579_LM				0x1502
		#define	PCI_DEVICE_ID_INTEL_ICH8_82579_V				0x1503
		#define PCI_DEVICE_ID_INTEL_ICH9_IGP_M					0x10BF
		#define PCI_DEVICE_ID_INTEL_ICH9_IGP_M_AMT				0x10F5
		#define PCI_DEVICE_ID_INTEL_ICH9_IGP_M_V				0x10CB
		#define	PCI_DEVICE_ID_INTEL_ICH9_IGP_AMT				0x10bd
		#define PCI_DEVICE_ID_INTEL_ICH9_BM						0x10E5
		#define	PCI_DEVICE_ID_INTEL_ICH9_IGP_C					0x294c
		#define	PCI_DEVICE_ID_INTEL_ICH9_IFE					0x10c0
		#define	PCI_DEVICE_ID_INTEL_ICH9_IFE_GT					0x10c3
		#define	PCI_DEVICE_ID_INTEL_ICH9_IFE_G					0x10c2
		#define PCI_DEVICE_ID_INTEL_ICH10_R_BM_LM				0x10CC
		#define PCI_DEVICE_ID_INTEL_ICH10_R_BM_LF				0x10CD
		#define PCI_DEVICE_ID_INTEL_ICH10_R_BM_V				0x10CE
		#define PCI_DEVICE_ID_INTEL_ICH10_D_BM_LM				0x10DE
		#define PCI_DEVICE_ID_INTEL_ICH10_D_BM_LF				0x10DF
		#define PCI_DEVICE_ID_INTEL_ICH10_D_BM_V				0x1525
		#define PCI_DEVICE_ID_INTEL_82575EB_COPPER				0x10A7
		#define PCI_DEVICE_ID_INTEL_82575EB_FIBER_SERDES		0x10A9
		#define PCI_DEVICE_ID_INTEL_82575GB_QUAD_COPPER			0x10d6
		#define PCI_DEVICE_ID_INTEL_82576_QUAD_COPPER_ET2		0x1526
		#define PCI_DEVICE_ID_INTEL_82576						0x10C9
		#define PCI_DEVICE_ID_INTEL_82576_VF					0x10CA
		#define PCI_DEVICE_ID_INTEL_82576_FIBER					0x10E6
		#define PCI_DEVICE_ID_INTEL_82576_SERDES				0x10E7
		#define PCI_DEVICE_ID_INTEL_82576_QUAD_COPPER			0x10E8
		#define	PCI_DEVICE_ID_INTEL_82577LM						0x10EA
		#define	PCI_DEVICE_ID_INTEL_82577LC						0x10EB
		#define	PCI_DEVICE_ID_INTEL_82578DM						0x10EF
		#define	PCI_DEVICE_ID_INTEL_82578DC						0x10F0
		#define PCI_DEVICE_ID_INTEL_82583V						0x150c
		#define PCI_DEVICE_ID_INTEL_82580_COPPER				0x150E
		#define PCI_DEVICE_ID_INTEL_82580_FIBER					0x150F
		#define PCI_DEVICE_ID_INTEL_82580_SERDES				0x1510
		#define PCI_DEVICE_ID_INTEL_82580_SGMII					0x1511
		#define PCI_DEVICE_ID_INTEL_82580_COPPER_DUAL			0x1516
		#define PCI_DEVICE_ID_INTEL_82580_QUAD_FIBER			0x1527
		#define PCI_DEVICE_ID_INTEL_82580_ER					0x151D
		#define PCI_DEVICE_ID_INTEL_82580_ER_DUAL				0x151E
		#define PCI_DEVICE_ID_INTEL_I350_VF						0x1520
		#define PCI_DEVICE_ID_INTEL_I350_COPPER					0x1521
		#define PCI_DEVICE_ID_INTEL_I350_FIBER					0x1522
		#define PCI_DEVICE_ID_INTEL_I350_SERDES					0x1523
		#define PCI_DEVICE_ID_INTEL_I350_SGMII					0x1524
		#define PCI_DEVICE_ID_INTEL_I210_NVMLESS				0x1531
		#define PCI_DEVICE_ID_INTEL_I210_COPPER					0x1533
		#define PCI_DEVICE_ID_INTEL_I210_COPPER_OEM1			0x1534
		#define PCI_DEVICE_ID_INTEL_I210_COPPER_IT				0x1535
		#define PCI_DEVICE_ID_INTEL_I210_FIBER					0x1536
		#define PCI_DEVICE_ID_INTEL_I210_SERDES					0x1537
		#define PCI_DEVICE_ID_INTEL_I210_SGMII					0x1538
		#define PCI_DEVICE_ID_INTEL_I211_COPPER					0x1539
		#define PCI_DEVICE_ID_INTEL_PCH_LPT_I217_LM				0x153A
		#define PCI_DEVICE_ID_INTEL_PCH_LPT_I217_V				0x153B
		#define PCI_DEVICE_ID_INTEL_PCH_LPTLP_I218_LM			0x155A
		#define PCI_DEVICE_ID_INTEL_PCH_LPTLP_I218_V			0x1559
		#define PCI_DEVICE_ID_INTEL_I350_DA4					0x1546
		#define PCI_DEVICE_ID_INTEL_ICH10_HANKSVILLE			0xF0FE

		#define	PCI_DEVICE_ID_INTEL_EP80579_GCU		0x503E
		#define	PCI_DEVICE_ID_INTEL_EP80579_5040	0x5040
		#define	PCI_DEVICE_ID_INTEL_EP80579_5041	0x5041
		#define	PCI_DEVICE_ID_INTEL_EP80579_5042	0x5042
		#define	PCI_DEVICE_ID_INTEL_EP80579_5043	0x5043
		#define	PCI_DEVICE_ID_INTEL_EP80579_5044	0x5044
		#define	PCI_DEVICE_ID_INTEL_EP80579_5045	0x5045
		#define	PCI_DEVICE_ID_INTEL_EP80579_5046	0x5046
		#define	PCI_DEVICE_ID_INTEL_EP80579_5047	0x5047
		#define	PCI_DEVICE_ID_INTEL_EP80579_5048	0x5048
		#define	PCI_DEVICE_ID_INTEL_EP80579_5049	0x5049
		#define	PCI_DEVICE_ID_INTEL_EP80579_504A	0x504A
		#define	PCI_DEVICE_ID_INTEL_EP80579_504B	0x504B

		#define	PCI_DEVICE_ID_INTEL_TOPCLIFF_PHUB	0x8801
		#define	PCI_DEVICE_ID_INTEL_TOPCLIFF_ETH	0x8802
		#define	PCI_DEVICE_ID_INTEL_TOPCLIFF_SPI	0x8816
		#define	PCI_DEVICE_ID_INTEL_TOPCLIFF_I2C	0x8817
		#define PCI_DEVICE_ID_INTEL_TOPCLIFF_CAN	0x8818
		#define	PCI_DEVICE_ID_INTEL_TUNNELCREEK_SMB	0x8186

		#define	PCI_DEVICE_ID_INTEL_EP80579_SATA	0x5028

		/* 10Gb devices */
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598					0x10B6
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598_BX				0x1508
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598AF_DUAL_PORT		0x10C6
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598AF_SINGLE_PORT	0x10C7
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598AT				0x10C8
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598AT2				0x150B
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598EB_SFP_LOM		0x10DB
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598EB_CX4			0x10DD
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598_CX4_DUAL_PORT	0x10EC
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598_DA_DUAL_PORT	0x10F1
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598_SR_DUAL_PORT_EM	0x10E1
		#define PCI_DEVICE_ID_INTEL_IXGBE_82598EB_XF_LR			0x10F4
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_KX4				0x10F7
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_KX4_MEZZ		0x1514
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_KR				0x1517
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_COMBO_BACKPLANE	0x10F8
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_CX4				0x10F9
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_T				0x10FA
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_SFP				0x10FB
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_BACKPLANE_FCOE	0x152A
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_SFP_FCOE		0x1529
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_SFP_EM			0x1507
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_SFP_SF2			0x154D
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_SFP_SF_QP		0x154A
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599EN_SFP			0x1557
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_XAUI_LOM		0x10FC
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_T3_LOM			0x151C
		#define PCI_DEVICE_ID_INTEL_IXGBE_82599_VF				0x10ED
		#define PCI_DEVICE_ID_INTEL_IXGBE_X540_VF				0x1515
		#define PCI_DEVICE_ID_INTEL_IXGBE_X540T					0x1528
		#define PCI_DEVICE_ID_INTEL_IXGBE_X540T1				0x1560
		
		/* Speedo devices */
		#define PCI_DEVICE_ID_INTEL_82557			0x1229
		#define PCI_DEVICE_ID_INTEL_82558ER			0x1209
		#define PCI_DEVICE_ID_INTEL_82559_1			0x1029
		#define PCI_DEVICE_ID_INTEL_82559			0x1030
		#define PCI_DEVICE_ID_INTEL_82559A			0x1031
		#define PCI_DEVICE_ID_INTEL_PRO100VE		0x1032
		#define PCI_DEVICE_ID_INTEL_PRO100VM		0x1033
		#define PCI_DEVICE_ID_INTEL_PRO100VM_1		0x1034
		#define PCI_DEVICE_ID_INTEL_82562EH			0x1035
		#define PCI_DEVICE_ID_INTEL_82562EH_1		0x1036
		#define PCI_DEVICE_ID_INTEL_82562EH_2		0x1037
		#define PCI_DEVICE_ID_INTEL_PRO100VM_2		0x1038
		#define PCI_DEVICE_ID_INTEL_PRO100VE_1		0x1039
		#define PCI_DEVICE_ID_INTEL_PRO100VE_2		0x103a
		#define PCI_DEVICE_ID_INTEL_PRO100VM_3		0x103b
		#define PCI_DEVICE_ID_INTEL_PRO100VM_4		0x103c
		#define PCI_DEVICE_ID_INTEL_82559A_VE		0x103d
		#define PCI_DEVICE_ID_INTEL_PRO100VM_5		0x103e
		#define PCI_DEVICE_ID_INTEL_82562EZ			0x1050
		#define PCI_DEVICE_ID_INTEL_82801EB			0x1051
		#define PCI_DEVICE_ID_INTEL_82801EB_1		0x1052
		#define PCI_DEVICE_ID_INTEL_82801EB_2		0x1053
		#define PCI_DEVICE_ID_INTEL_82801EB_3		0x1053
		#define PCI_DEVICE_ID_INTEL_82801EB_4		0x1055
		#define PCI_DEVICE_ID_INTEL_82551QM			0x1059
		#define PCI_DEVICE_ID_INTEL_82562ET			0x1064
		#define PCI_DEVICE_ID_INTEL_82562ET_VE		0x1065
		#define PCI_DEVICE_ID_INTEL_82562EM_LOM		0x1066
		#define PCI_DEVICE_ID_INTEL_82562EM_VM		0x1067
		#define PCI_DEVICE_ID_INTEL_82562ET_LOM		0x1068
		#define PCI_DEVICE_ID_INTEL_82562EM			0x1069
		#define PCI_DEVICE_ID_INTEL_82562GZ			0x1092
		#define PCI_DEVICE_ID_INTEL_82562G			0x1094
		#define PCI_DEVICE_ID_INTEL_82559VE			0x2449
		#define	PCI_DEVICE_ID_INTEL_82559B			0x2459	/* 82559 on 82815 */
		#define	PCI_DEVICE_ID_INTEL_82559C			0x245D	/* 82559 on 82815 */
		#define	PCI_DEVICE_ID_INTEL_82801G			0x27dc
		#define PCI_DEVICE_ID_INTEL_PIIX2			0x1230
		#define PCI_DEVICE_ID_INTEL_PIIX3			0x7010
		#define PCI_DEVICE_ID_INTEL_PIIX4			0x7111
		#define PCI_DEVICE_ID_INTEL_82443MX_IDE		0x7199  /* IDE */
		#define	PCI_DEVICE_ID_INTEL_82801AA			0x2411	/* 82801AA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801AB			0x2421	/* 82801AB IDE */
		#define	PCI_DEVICE_ID_INTEL_82801BAM		0x244A	/* 82801BA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801BA			0x244B	/* 82801BA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801CAM		0x248A	/* 82801CAM IDE */
		#define	PCI_DEVICE_ID_INTEL_82801CA			0x248B	/* 82801CA IDE */
		#define	PCI_DEVICE_ID_INTEL_82801DBM		0x24CA	/* 82801DBM IDE Controller */
		#define	PCI_DEVICE_ID_INTEL_82801DB			0x24CB	/* 82801DB IDE */
		#define	PCI_DEVICE_ID_INTEL_82801EB_SATA	0x24D1	/* 82801EB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801EB_IDE		0x24DB	/* 82801EB/ER IDE Controller */
		#define	PCI_DEVICE_ID_INTEL_82801ER_SATA	0x24DF	/* 82801ER Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_80001ESB_IDE	0x25a2	/* 82801ESB ATA Controller (Hance Rapids) */
		#define	PCI_DEVICE_ID_INTEL_80001ESB_SATA   0x25a3	/* 80001ESB Serial ATA Controller (Hance Rapids) */
		#define	PCI_DEVICE_ID_INTEL_82801FB_IDE		0x266F	/* 82801FB IDE Controller ICH6 */
		#define	PCI_DEVICE_ID_INTEL_82801FB_SATA	0x2651	/* 82801FB/W Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801FR_SATA	0x2652	/* 82801FR/W Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801FBM_SATA	0x2653	/* 82801FBM Serial ATA Controller */
		#define PCI_DEVICE_ID_INTEL_6300ESB_SATA_A	0x25a3
		#define PCI_DEVICE_ID_INTEL_6300ESB_SATA_R	0x25b0
		#define PCI_DEVICE_ID_INTEL_63XXESB_IDE		0x269E	/* IDE Controller */
		#define PCI_DEVICE_ID_INTEL_63XXESB_SATA	0x2680	/* SATA as IDE */
		#define PCI_DEVICE_ID_INTEL_63XXESB_SATA_A	0x2681	/* SATA */
		#define PCI_DEVICE_ID_INTEL_63XXESB_SATA_R	0x2682	/* SATA RAID */
		#define PCI_DEVICE_ID_INTEL_63XXESB_SATA2_R	0x2683	/* SATA RAID */

		#define	PCI_DEVICE_ID_INTEL_915G			0x2580	/* 915G Host PCI Controller */
		#define	PCI_DEVICE_ID_INTEL_915GM			0x2590	/* 915GM Host PCI Controller */
		#define	PCI_DEVICE_ID_INTEL_945G			0x2770	/* 945G PCI Host Controller */
		#define	PCI_DEVICE_ID_INTEL_955X			0x2774	/* 955X PCI Host Controller */
		#define	PCI_DEVICE_ID_INTEL_945GM			0x27a0	/* 945GM PCI HostController */
		#define	PCI_DEVICE_ID_INTEL_945GME			0x27ac	/* 945GME PCI HostController */
		#define	PCI_DEVICE_ID_INTEL_Q965			0x2990	/* Q965 PCI Host controller */
		#define	PCI_DEVICE_ID_INTEL_965				0x29a0	/* 965 Memory controller hub */
		#define	PCI_DEVICE_ID_INTEL_82Q35			0x29b0	/* 82Q35 DRAM controller */
		#define	PCI_DEVICE_ID_INTEL_GME965			0x2a10	/* Mobile GME965 MCH */
		#define	PCI_DEVICE_ID_INTEL_4SERIES			0x2e20	/* 4 Series DRAM */
		#define	PCI_DEVICE_ID_INTEL_E7520			0x3590	/* E7520 Memory controller hub */
		#define	PCI_DEVICE_ID_INTEL_3100			0x35b0	/* 3100 Memory controller hub */
		#define	PCI_DEVICE_ID_INTEL_XEON_DMI2		0x3c00	/* Xeon E5 Core i7 DMI2 */
		#define	PCI_DEVICE_ID_INTEL_T_CREEK_1		0x4114	/* Tunnel Creek PCI Host Bridge # 1*/
		#define	PCI_DEVICE_ID_INTEL_T_CREEK_2		0x4115	/* Tunnel Creek PCI Host Bridge # 2*/
		#define	PCI_DEVICE_ID_INTEL_T_CREEK_3		0x4116	/* Tunnel Creek PCI Host Bridge # 3*/
		#define	PCI_DEVICE_ID_INTEL_T_CREEK_4		0x4117	/* Tunnel Creek PCI Host Bridge # 4*/
		#define	PCI_DEVICE_ID_INTEL_T_CREEK			PCI_DEVICE_ID_INTEL_T_CREEK_1

		#define	PCI_DEVICE_ID_INTEL_SCHP			0x8100	/* Poulsbo SCH */
		#define	PCI_DEVICE_ID_INTEL_SCH_SDIO1		0x811c
		#define	PCI_DEVICE_ID_INTEL_SCH_SDIO2		0x811d
		#define	PCI_DEVICE_ID_INTEL_SCH_SDIO3		0x811e

		#define	PCI_DEVICE_ID_INTEL_IOH_SATA_A		0x880b  /* Topcliff IOH Serial ATA Controller (AHCI) */

		#define	PCI_DEVICE_ID_INTEL_82801GB_IDE		0x27df	/* 82801GB IDE Controller (Hance Rapids) */
		#define	PCI_DEVICE_ID_INTEL_82801GB_SATA	0x27c0	/* 82801GB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801GB_SATA_A  0x27c1	/* 82801GB Serial ATA Controller (AHCI Desktop) */
		#define	PCI_DEVICE_ID_INTEL_82801GB_SATA_R  0x27c3	/* 82801GB Serial ATA Controller (Desktop RAID) */
		#define	PCI_DEVICE_ID_INTEL_82801GB_IDE_M   0x27c4	/* 82801GB Serial ATA Controller (Mobile) */
		#define	PCI_DEVICE_ID_INTEL_82801GB_SATA_AM 0x27c5	/* 82801GB Serial ATA Controller (AHCI Mobile)*/

		#define	PCI_DEVICE_ID_INTEL_82801HB_SATA	0x2820	/* 82801HB Serial ATA Controller (Desktop)*/
		#define	PCI_DEVICE_ID_INTEL_82801HB_SATA_A  0x2821	/* 82801HB Serial ATA Controller (AHCI Desktop) */
		#define	PCI_DEVICE_ID_INTEL_82801HB_SATA_R  0x2822	/* 82801HB Serial ATA Controller (Desktop RAID) */
		#define	PCI_DEVICE_ID_INTEL_82801HB_SATA_A2 0x2824	/* 82801HB Serial ATA Controller (AHCI Mobile)*/
		#define	PCI_DEVICE_ID_INTEL_82801HB_SATA_2  0x2825	/* 82801HB Serial ATA Controller (Desktop)*/
		#define	PCI_DEVICE_ID_INTEL_82801HBM_SATA   0x2828	/* 82801HBM Serial ATA Controller (Mobile)*/
		#define	PCI_DEVICE_ID_INTEL_82801HBM_SATA_A 0x2829	/* 82801HBM Serial ATA Controller (AHCI Mobile)*/
		#define	PCI_DEVICE_ID_INTEL_82801HBM_SATA_R 0x282a	/* 82801HBM Serial ATA Controller (Mobile RAID)*/
		#define	PCI_DEVICE_ID_INTEL_82801HBM_IDE    0x2850	/* 82801HBM IED Controller (Mobile)*/

		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA	0x2920	/* 82801IB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_2	0x2921	/* 82801IB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_A  0x2922	/* 82801IB Serial ATA Controller (AHCI) */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_A2 0x2923	/* 82801IB Serial ATA Controller (AHCI) */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_3	0x2926	/* 82801IB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_4	0x2928	/* 82801IB Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_A3 0x2929	/* 82801IB Serial ATA Controller (AHCI) */
		#define	PCI_DEVICE_ID_INTEL_82801IB_SATA_5	0x292d	/* 82801IB Serial ATA Controller (Mobile)*/

		#define	PCI_DEVICE_ID_INTEL_82801JD_SATA	0x3a00	/* 82801JD Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801JD_SATA_A	0x3a02	/* 82801JD Serial ATA Controller (AHCI)*/
		#define	PCI_DEVICE_ID_INTEL_82801JD_SATA_R	0x3a05	/* 82801JD Serial ATA Controller (RAID)*/
		#define	PCI_DEVICE_ID_INTEL_82801JD_SATA_2	0x3a06	/* 82801JD Serial ATA Controller */

		#define	PCI_DEVICE_ID_INTEL_82801JI_SATA	0x3a20	/* 82801JI Serial ATA Controller */
		#define	PCI_DEVICE_ID_INTEL_82801JI_SATA_A	0x3a22	/* 82801JI Serial ATA Controller (AHCI)*/
		#define	PCI_DEVICE_ID_INTEL_82801JI_SATA_R	0x3a25	/* 82801JI Serial ATA Controller (RAID)*/
		#define	PCI_DEVICE_ID_INTEL_82801JI_SATA_2	0x3a26	/* 82801JI Serial ATA Controller */

		#define PCI_DEVICE_ID_INTEL_PCH_SATA		0x3b20
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_2		0x3b21
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_A		0x3b22
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_A2		0x3b23
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_3		0x3b26
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_M		0x3b28
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_AM		0x3b29
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_M2		0x3b2d
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_M3		0x3b2e
		#define PCI_DEVICE_ID_INTEL_PCH_SATA_AM2	0x3b2f

#define PCI_VENDOR_ID_SMC							0x10b8
		#define PCI_DEVICE_ID_SMC_EPIC				0x0005
		#define PCI_DEVICE_ID_SMC_EPIC_75			0x0006

#define PCI_VENDOR_ID_PCTECH						0x1042
		#define PCI_DEVICE_ID_PCTECH_RZ1000			0x1000
		#define PCI_DEVICE_ID_PCTECH_RZ1000_R1		0x1001

#define PCI_VENDOR_ID_ATI							0x1002
		#define PCI_DEVICE_ID_ATI_M32				0x4158
		#define PCI_DEVICE_ID_ATI_M64CT				0x4354
		#define PCI_DEVICE_ID_ATI_M64CX				0x4358
		#define PCI_DEVICE_ID_ATI_M64ET				0x4554
		#define PCI_DEVICE_ID_ATI_M64GX				0x4758
		#define PCI_DEVICE_ID_ATI_VT				0x5654
		#define PCI_DEVICE_ID_ATI_IXP200_IDE		0x4349
		#define PCI_DEVICE_ID_ATI_IXP300_IDE		0x4369
		#define PCI_DEVICE_ID_ATI_IXP400_IDE		0x4376
		#define PCI_DEVICE_ID_ATI_IXP600_IDE		0x438c
		#define PCI_DEVICE_ID_ATI_SB400_SATA_A		0x4379
		#define PCI_DEVICE_ID_ATI_SB400_SATA_R		0x437a
		#define PCI_DEVICE_ID_ATI_SB600_SATA_A		0x4380
		#define PCI_DEVICE_ID_ATI_SB600_SATA_R		0x4381

#define PCI_VENDOR_ID_WEITEK						0x100e
		#define PCI_DEVICE_ID_WEITEK_P9000			0x9001
		#define PCI_DEVICE_ID_WEITEK_P9100			0x9100

#define PCI_VENDOR_ID_CIRRUS						0x1013
		#define PCI_DEVICE_ID_CIRRUS_5430			0x00a0
		#define PCI_DEVICE_ID_CIRRUS_5434_4			0x00a4
		#define PCI_DEVICE_ID_CIRRUS_5434_8			0x00a8
		#define PCI_DEVICE_ID_CIRRUS_5436			0x00ac
		#define PCI_DEVICE_ID_CIRRUS_6729			0x1100
		#define PCI_DEVICE_ID_CIRRUS_6832			0x1110
		#define PCI_DEVICE_ID_CIRRUS_7542			0x1200
		#define PCI_DEVICE_ID_CIRRUS_7543			0x1202

#define PCI_VENDOR_ID_BUSLOGIC						0x104B
		#define PCI_DEVICE_ID_BUSLOGIC_946C			0x1040
		#define PCI_DEVICE_ID_BUSLOGIC_FLASHPOINT	0x8130

#define PCI_VENDOR_ID_N9							0x105D
		#define PCI_DEVICE_ID_N9_I128				0x2309

#define PCI_VENDOR_ID_AI							0x1025
		#define PCI_DEVICE_ID_AI_M1435				0x1435

#define PCI_VENDOR_ID_AL							0x10b9
		#define PCI_DEVICE_ID_AL_M1449				0x1449
		#define PCI_DEVICE_ID_AL_M1451				0x1451
		#define PCI_DEVICE_ID_AL_M4803				0x5215
		#define PCI_DEVICE_ID_AL_IDE				0x5229
		#define PCI_DEVICE_ID_AL_M5287_SATA			0x5287
		#define PCI_DEVICE_ID_AL_M5288_SATA			0x5288
		#define PCI_DEVICE_ID_AL_M5289_SATA			0x5289

#define PCI_VENDOR_ID_TSENG							0x100c
		#define PCI_DEVICE_ID_TSENG_W32P_2			0x3202
		#define PCI_DEVICE_ID_TSENG_W32P_b			0x3205
		#define PCI_DEVICE_ID_TSENG_W32P_c			0x3206
		#define PCI_DEVICE_ID_TSENG_W32P_d			0x3207

#define PCI_VENDOR_ID_SIL							0x1095
#define PCI_VENDOR_ID_CMD							0x1095
		#define PCI_DEVICE_ID_CMD_640				0x0640
		#define PCI_DEVICE_ID_CMD_643				0x0643
		#define PCI_DEVICE_ID_CMD_646				0x0646
		#define PCI_DEVICE_ID_CMD_647				0x0647
		#define PCI_DEVICE_ID_CMD_648				0x0648
		#define PCI_DEVICE_ID_CMD_649				0x0649
		#define PCI_DEVICE_ID_CMD_670				0x0670
		#define PCI_DEVICE_ID_CMD_680				0x0680
		#define PCI_DEVICE_ID_SIL_680				0x0680
		#define PCI_DEVICE_ID_SIL_3112				0x3112
		#define PCI_DEVICE_ID_SIL_3114				0x3114
		#define PCI_DEVICE_ID_SIL_3512				0x3512

#define PCI_VENDOR_ID_VISION						0x1098
		#define PCI_DEVICE_ID_VISION_QD8500			0x0001

#define PCI_VENDOR_ID_AMD							0x1022
		#define PCI_DEVICE_ID_AMD_PCNET				0x2000
		#define PCI_DEVICE_ID_AMD_PCNET_HOME		0x2001
		#define PCI_DEVICE_ID_AMD_SCSI				0x2020
		#define PCI_DEVICE_ID_AMD_CS5536_IDE		0x209a
		#define PCI_DEVICE_ID_AMD_PCB756_IDE		0x7409
		#define PCI_DEVICE_ID_AMD_PCB766_IDE		0x7411
		#define PCI_DEVICE_ID_AMD_PCB768_IDE		0x7441
		#define	PCI_DEVICE_ID_AMD_PLX_7520			0x7450
		#define	PCI_DEVICE_ID_AMD_PLX_7520_APIC		0x7451
		#define PCI_DEVICE_ID_AMD_8111_IDE			0x7469

#define PCI_VENDOR_ID_VLSI							0x1004
		#define PCI_DEVICE_ID_VLSI_82C593			0x0006

#define PCI_VENDOR_ID_ADL							0x1005
		#define PCI_DEVICE_ID_ADL_2301				0x2301

#define PCI_VENDOR_ID_SYMPHONY						0x1c1c
		#define PCI_DEVICE_ID_SYMPHONY_101			0x0001

#define PCI_VENDOR_ID_TRIDENT						0x1023
		#define PCI_DEVICE_ID_TRIDENT_9420			0x9420
		#define PCI_DEVICE_ID_TRIDENT_9440			0x9440

#define PCI_VENDOR_ID_CONTAQ						0x1080
		#define PCI_DEVICE_ID_CONTAQ_82C599			0x0600

#define PCI_VENDOR_ID_NS							0x100b
		#define PCI_DEVICE_ID_NS_87410				0xd001
		#define PCI_DEVICE_ID_NS_CS5530_IDE			0x0102
		#define PCI_DEVICE_ID_NS_SC_IDE				0x0502

#define PCI_VENDOR_ID_VIA							0x1106
		#define PCI_DEVICE_ID_VIA_82C505			0x0505
		#define PCI_DEVICE_ID_VIA_82C576			0x0576  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C586B			0x0571  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C586			0x0586  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C596A			0x0596  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C686A			0x0686  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8231				0x8231  /* IDE */
		#define PCI_DEVICE_ID_VIA_82C926			0x0926
		#define PCI_DEVICE_ID_VIA_RHINE				0x3043 
		#define PCI_DEVICE_ID_VIA_RHINEII			0x6100 
		#define PCI_DEVICE_ID_VIA_RHINEIII			0x3065 
		#define PCI_DEVICE_ID_VIA_VT6105			0x3106 
		#define PCI_DEVICE_ID_VIA_8231				0x8231  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233				0x3074  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233A				0x3147  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8233C				0x3109  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8235				0x3177  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8237				0x3227  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8251				0x3287  /* PCI to ISA bridge */
		#define PCI_DEVICE_ID_VIA_8237_SATA			0x3149  /* SATA Controller */
		#define	PCI_DEVICE_ID_VIA_6421_SATA			0x3249	/* SATA Controller */

#define PCI_VENDOR_ID_SI							0x1039
		#define PCI_DEVICE_ID_SI_496				0x0496
		#define PCI_DEVICE_ID_SI_501				0x0406
		#define PCI_DEVICE_ID_SI_503				0x0008

#define PCI_VENDOR_ID_LEADTEK						0x107d
		#define PCI_DEVICE_ID_LEADTEK_805			0x0000

#define PCI_VENDOR_ID_IMS							0x10e0
		#define PCI_DEVICE_ID_IMS_8849				0x8849

#define PCI_VENDOR_ID_ZEINET						0x1193
		#define PCI_DEVICE_ID_ZEINET_1221			0x0001

#define PCI_VENDOR_ID_EF							0x111a
		#define PCI_DEVICE_ID_EF_ATM				0x0000

#define PCI_VENDOR_ID_HER							0xedd8
		#define PCI_DEVICE_ID_HER_STING				0xa091

#define PCI_VENDOR_ID_ATRONICS						0x907f
		#define PCI_DEVICE_ID_ATRONICS_2015			0x2015

#define PCI_VENDOR_ID_CT							0x102c
		#define PCI_DEVICE_ID_CT_65545				0x00d8

#define PCI_VENDOR_ID_RADIO							0x103e
		#define PCI_DEVICE_ID_RADIO_DDS				0x9601

#define PCI_VENDOR_ID_PROMISE						0x105a
		#define PCI_DEVICE_ID_PROMISE_20262			0x4d38
		#define PCI_DEVICE_ID_PROMISE_20265			0x0d30
		#define PCI_DEVICE_ID_PROMISE_20267			0x4d30
		#define PCI_DEVICE_ID_PROMISE_20268			0x4d68
		#define PCI_DEVICE_ID_PROMISE_20269			0x4d69
		#define PCI_DEVICE_ID_PROMISE_20246			0x4d33
		#define PCI_DEVICE_ID_PROMISE_20270			0x6268
		#define PCI_DEVICE_ID_PROMISE_20271			0x6269
		#define PCI_DEVICE_ID_PROMISE_20276			0x5275
		#define PCI_DEVICE_ID_PROMISE_20277			0x7275
		#define PCI_DEVICE_ID_PROMISE_5300			0x5300

#define PCI_VENDOR_ID_HPT							0x1103
		#define PCI_DEVICE_ID_HPT_343				0x0003
		#define PCI_DEVICE_ID_HPT_366				0x0004
		#define PCI_DEVICE_ID_HPT_372				0x0005
		#define PCI_DEVICE_ID_HPT_374				0x0008

#define PCI_VENDOR_ID_SIGMADESIGNS					0x1105
		#define PCI_DEVICE_ID_EM8400				0x8400

#define PCI_VENDOR_ID_CYRIX							0x1078
		#define PCI_DEVICE_ID_CYRIX_CX5530_IDE		0x0102
		#define PCI_DEVICE_ID_CYRIX_CX5540_IDE		0x0402

#define PCI_VENDOR_ID_SERVERWORKS					0x1166
		#define PCI_DEVICE_ID_SERVERWORKS_ISA_CSB5	0x0201
		#define PCI_DEVICE_ID_SERVERWORKS_IDE_OSB4	0x0211
		#define PCI_DEVICE_ID_SERVERWORKS_IDE_CSB5	0x0212

#define PCI_VENDOR_ID_NVIDIA						0x10de
		#define PCI_DEVICE_ID_NVIDIA_NFORCE_IDE	 0x01bc
		#define PCI_DEVICE_ID_NVIDIA_NFORCE2_IDE	0x0065
		#define PCI_DEVICE_ID_NVIDIA_NFORCE2S_IDE   0x0085
		#define PCI_DEVICE_ID_NVIDIA_NFORCE2S_SATA  0x008e
		#define PCI_DEVICE_ID_NVIDIA_NFORCE3_IDE	0x00d5
		#define PCI_DEVICE_ID_NVIDIA_NFORCE3S_SATA  0x00e3
		#define PCI_DEVICE_ID_NVIDIA_NFORCE3S_IDE   0x00e5
		#define PCI_DEVICE_ID_NVIDIA_NFORCE3S_SATA2 0x00ee

		#define PCI_DEVICE_ID_NVIDIA_CK804_IDE		0x0053
		#define PCI_DEVICE_ID_NVIDIA_CK804_SATA		0x0054
		#define PCI_DEVICE_ID_NVIDIA_CK804_SATA2	0x0055

		#define PCI_DEVICE_ID_NVIDIA_MCP04_IDE		0x0035
		#define PCI_DEVICE_ID_NVIDIA_MCP04_SATA		0x0036
		#define PCI_DEVICE_ID_NVIDIA_MCP04_SATA2	0x003e

		#define PCI_DEVICE_ID_NVIDIA_MCP51_IDE		0x0265
		#define PCI_DEVICE_ID_NVIDIA_MCP51_SATA		0x0266
		#define PCI_DEVICE_ID_NVIDIA_MCP51_SATA2	0x0267

		#define PCI_DEVICE_ID_NVIDIA_MCP55_IDE		0x036e
		#define PCI_DEVICE_ID_NVIDIA_MCP55_SATA		0x037e
		#define PCI_DEVICE_ID_NVIDIA_MCP55_SATA2	0x037f

#define PCI_VENDOR_ID_LUCENT						0x12a3

#define	PCI_VENDOR_ID_HARRIS						0x1260
		#define PCI_DEVICE_ID_DWL_520				0x3873

#define	PCI_VENDOR_ID_PSI							0x1256
		#define PCI_DEVICE_ID_PSI_ROY1				0x5201

#define	PCI_VENDOR_ID_O2							0x1217
		#define PCI_DEVICE_ID_O2_6729				0x6729
		#define PCI_DEVICE_ID_O2_6730				0x673a
		#define PCI_DEVICE_ID_O2_6832				0x6832
		#define PCI_DEVICE_ID_O2_6836				0x6836
		#define PCI_DEVICE_ID_O2_6933				0x6933
		#define PCI_DEVICE_ID_O2_6812				0x6872
		#define PCI_DEVICE_ID_O2_6912				0x6972
		#define PCI_DEVICE_ID_O2_7113				0x7113
		#define PCI_DEVICE_ID_O2_7135				0x7135
		#define PCI_DEVICE_ID_O2_71E2				0x71e2
		#define PCI_DEVICE_ID_O2_7213				0x7213
		#define PCI_DEVICE_ID_O2_8321				0x8321

#define PCI_VENDOR_ID_TI							0x104c
		#define PCI_DEVICE_ID_TI_xx21				0x8031
		#define PCI_DEVICE_ID_TI_6515				0x8036
		#define PCI_DEVICE_ID_TI_xx12				0x8039
		#define PCI_DEVICE_ID_TI_1130				0xac12
		#define PCI_DEVICE_ID_TI_1131				0xac15
		#define PCI_DEVICE_ID_TI_1031				0xac13
		#define PCI_DEVICE_ID_TI_1250A				0xac16
		#define PCI_DEVICE_ID_TI_1220				0xac17
		#define PCI_DEVICE_ID_TI_1221				0xac19
		#define PCI_DEVICE_ID_TI_1210				0xac1a
		#define PCI_DEVICE_ID_TI_1450				0xac1b
		#define PCI_DEVICE_ID_TI_1225				0xac1c
		#define PCI_DEVICE_ID_TI_1251A				0xac1d
		#define PCI_DEVICE_ID_TI_1211				0xac1e
		#define PCI_DEVICE_ID_TI_1251B				0xac1f
		#define	PCI_DEVICE_ID_TI_4450				0xac40
		#define	PCI_DEVICE_ID_TI_4451				0xac42
		#define	PCI_DEVICE_ID_TI_4510				0xac44
		#define	PCI_DEVICE_ID_TI_4520				0xac46
		#define	PCI_DEVICE_ID_TI_7510				0xac47
		#define PCI_DEVICE_ID_TI_1410				0xac50
		#define PCI_DEVICE_ID_TI_1420				0xac51
		#define PCI_DEVICE_ID_TI_1510				0xac56
		#define PCI_DEVICE_ID_TI_1520				0xac55
		#define PCI_DEVICE_ID_TI_7620				0xac8d
		#define PCI_DEVICE_ID_TI_7420				0xac8e

#define PCI_VENDOR_ID_TOSHIBA						0x1179
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC95_A		0x0603
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC95_B		0x060a
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC97		0x060f
		#define PCI_DEVICE_ID_TOSHIBA_TOPIC100		0x0617

#define PCI_VENDOR_ID_RICOH							0x1180
		#define PCI_DEVICE_ID_RICOH_RL5C465			0x0465
		#define PCI_DEVICE_ID_RICOH_RL5C466			0x0466
		#define PCI_DEVICE_ID_RICOH_RL5C475			0x0475
		#define PCI_DEVICE_ID_RICOH_RL5C476			0x0476
		#define PCI_DEVICE_ID_RICOH_RL5C478			0x0478

#define	PCI_VENDOR_ID_XILINX						0x10ee

#define	PCI_VENDOR_ID_DAVICOM						0x1282
		#define	PCI_DEVICE_ID_DAVICOM_DM9102		0x9102

#define PCI_VENDOR_ID_BROADCOM						0x14e4
		#define PCI_DEVICE_ID_BROADCOM_BCM5752		0x1600
		#define PCI_DEVICE_ID_BROADCOM_BCM5752M		0x1601
		#define PCI_DEVICE_ID_BROADCOM_BCM5700		0x1644
		#define PCI_DEVICE_ID_BROADCOM_BCM5701		0x1645
		#define PCI_DEVICE_ID_BROADCOM_BCM5702		0x1646
		#define PCI_DEVICE_ID_BROADCOM_BCM5703		0x1647
		#define PCI_DEVICE_ID_BROADCOM_BCM5704C		0x1648
		#define PCI_DEVICE_ID_BROADCOM_BCM5706		0x164a
		#define PCI_DEVICE_ID_BROADCOM_BCM5702FE	0x164d
		#define PCI_DEVICE_ID_BROADCOM_BCM5705		0x1653
		#define PCI_DEVICE_ID_BROADCOM_BCM5705_2	0x1654
		#define PCI_DEVICE_ID_BROADCOM_BCM5721		0x1659
		#define PCI_DEVICE_ID_BROADCOM_BCM5722		0x165a
		#define PCI_DEVICE_ID_BROADCOM_BCM5705M		0x165d
		#define PCI_DEVICE_ID_BROADCOM_BCM5705M2	0x165e
		#define PCI_DEVICE_ID_BROADCOM_BCM5705F		0x166e
		#define PCI_DEVICE_ID_BROADCOM_BCM5780		0x166a
		#define PCI_DEVICE_ID_BROADCOM_BCM5780S		0x166b
		#define	PCI_DEVICE_ID_BROADCOM_BCM5755M		0x1673
		#define	PCI_DEVICE_ID_BROADCOM_BCM5756ME	0x1674
		#define PCI_DEVICE_ID_BROADCOM_BCM5751		0x1677
		#define PCI_DEVICE_ID_BROADCOM_BCM5754		0x167a
		#define	PCI_DEVICE_ID_BROADCOM_BCM5755		0x167b
		#define PCI_DEVICE_ID_BROADCOM_BCM5751M		0x167d
		#define PCI_DEVICE_ID_BROADCOM_BCM5751F		0x167e
		#define PCI_DEVICE_ID_BROADCOM_BCM5761E		0x1680
		#define PCI_DEVICE_ID_BROADCOM_BCM5761		0x1681
		#define PCI_DEVICE_ID_BROADCOM_BCM5782		0x1696
		#define PCI_DEVICE_ID_BROADCOM_BCM5787		0x169b
		#define PCI_DEVICE_ID_BROADCOM_BCM57780		0x1692
		#define PCI_DEVICE_ID_BROADCOM_BCM5787M		0x1693
		#define PCI_DEVICE_ID_BROADCOM_BCM5788		0x169c
		#define PCI_DEVICE_ID_BROADCOM_BCM5789		0x169d
		#define PCI_DEVICE_ID_BROADCOM_BCM5702X		0x16a6
		#define PCI_DEVICE_ID_BROADCOM_BCM5703X		0x16a7
		#define PCI_DEVICE_ID_BROADCOM_BCM5704S		0x16a8
		#define PCI_DEVICE_ID_BROADCOM_BCM5706S		0x16aa
		#define PCI_DEVICE_ID_BROADCOM_BCM5702A3	0x16c6
		#define PCI_DEVICE_ID_BROADCOM_BCM5703XB	0x16c7
		#define PCI_DEVICE_ID_BROADCOM_BCM5781		0x16dd
		#define PCI_DEVICE_ID_BROADCOM_BCM5753		0x16f7
		#define PCI_DEVICE_ID_BROADCOM_BCM5753M		0x16fd
		#define PCI_DEVICE_ID_BROADCOM_BCM5753F		0x16fe
		#define	PCI_DEVICE_ID_BROADCOM_BCM5901		0x170d
		#define	PCI_DEVICE_ID_BROADCOM_BCM5901_2	0x170e
		#define PCI_DEVICE_ID_BROADCOM_BCM5906		0x1712
		#define PCI_DEVICE_ID_BROADCOM_BCM5906M		0x1713

	/* Wireless devices */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4211				0x4211
		#define	PCI_DEVICE_ID_BROADCOM_BCM4231				0x4231

		#define	PCI_DEVICE_ID_BROADCOM_BCM4410				0x4410		/* bcm44xx family pci iline */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4430				0x4430		/* bcm44xx family cardbus iline */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4412				0x4412		/* bcm44xx family pci enet */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4432				0x4432		/* bcm44xx family cardbus enet */

		#define	PCI_DEVICE_ID_BROADCOM_BCM3352				0x3352		/* bcm3352 device id */
		#define	PCI_DEVICE_ID_BROADCOM_BCM3360				0x3360		/* bcm3360 device id */

		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_ILINE		0x4711		/* 47xx iline20 */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_V90			0x4712		/* 47xx v90 codec */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_ENET			0x4713		/* 47xx enet */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_EXT			0x4714		/* 47xx external i/f */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_USB			0x4715		/* 47xx usb */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_USBH			0x4716		/* 47xx usb host */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_USBD			0x4717		/* 47xx usb device */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_IPSEC		0x4718		/* 47xx ipsec */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_ROBO			0x4719		/* 47xx/53xx roboswitch core */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_USB20H		0x471a		/* 47xx usb 2.0 host */
		#define	PCI_DEVICE_ID_BROADCOM_BCM47XX_USB20D		0x471b		/* 47xx usb 2.0 device */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4710				0x4710		/* 4710 primary function 0 */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4402				0x4402		/* 4402 primary function 0 */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4402_ENET			0x4402		/* 4402 enet */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4402_V90			0x4403		/* 4402 v90 codec */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4401_ENET			0x170c		/* 4401b0 production enet cards */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4301				0x4301		/* 4301 primary function 0 */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4301_D11B			0x4301		/* 4301 802.11b */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4307				0x4307		/* 4307 primary function 0 */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4307_V90			0x4305		/* 4307 v90 codec */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4307_ENET			0x4306		/* 4307 enet */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4307_D11B			0x4307		/* 4307 802.11b */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4306				0x4306		/* 4306 chipcommon chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_D11G			0x4320		/* 4306 802.11g */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_D11G_ID2		0x4325		
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_D11A			0x4321		/* 4306 802.11a */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_UART			0x4322		/* 4306 uart */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_V90			0x4323		/* 4306 v90 codec */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4306_D11DUAL		0x4324		/* 4306 dual A+B */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4311				0x4311		/* 4311 PCIe 802.11a/b/g */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4311_D11G			0x4311		/* 4311 801.11b/g id */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4311_D11DUAL		0x4312		/* 4311 801.11a/b/g id */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4311_D11A			0x4313		/* 4311 801.11a id */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4303_D11B			0x4303		/* 4303 802.11b */

		#define	PCI_DEVICE_ID_BROADCOM_BCMGPRS_UART			0x4333		/* Uart id used by 4306/gprs card */
		#define	PCI_DEVICE_ID_BROADCOM_BCMGPRS2_UART		0x4344		/* Uart id used by 4306/gprs card */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4704				0x4704		/* 4704 chipcommon chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4704_ENET			0x4706		/* 4704 enet (Use 47XX_ENET_ID instead!) */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4317				0x4317		/* 4317 chip common chipid */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4318				0x4318		/* 4318 chip common chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4318_D11DUAL		0x4319		/* 4318 801.11a/b/g id */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4318_D11A			0x431a		/* 4318 802.11a id */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4321				0x4321		/* 4321 chip common chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4321_D11N			0x4328		/* 4321 801.11n dualband id */

		#define PCI_DEVICE_ID_BROADCOM_BCM4318_JTAGM		0x4331		/* 4318 jtagm device id */

		#define	PCI_DEVICE_ID_BROADCOM_BCM4712				0x4712		/* 4712 chipcommon chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM4712_MIPS			0x4720		/* 4712 base devid */

		#define PCI_DEVICE_ID_BROADCOM_BCM5365  		 	0x5365		/* 5365 chipcommon chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM5350				0x5350		/* bcm5350 chipcommon chipid */
		#define	PCI_DEVICE_ID_BROADCOM_BCM5352				0x5352		/* bcm5352 chipcommon chipid */


#define	PCI_VENDOR_ID_AGERE							0x11c1
		#define	PCI_DEVICE_ID_AGERE_HERMES2			0xab34

#define	PCI_VENDOR_ID_ENE							0x1524
		#define	PCI_DEVICE_ID_ENE_1410				0x1410
		#define	PCI_DEVICE_ID_ENE_1412				0x1412

#define	PCI_VENDOR_ID_LINKSYS						0x1737
		#define	PCI_DEVICE_ID_LINKSYS_RTL8169		0x1032
		#define	PCI_DEVICE_ID_LINKSYS_PCM200		0xab09
		#define	PCI_DEVICE_ID_LINKSYS_EG1032		0x1032
		#define	PCI_DEVICE_ID_LINKSYS_EG1064		0x1064

#define PCI_VENDOR_ID_MARVELL						0x11ab
		#define PCI_DEVICE_ID_MARVELL_88SX5080		0x5080
		#define PCI_DEVICE_ID_MARVELL_88SX5081		0x5081
		#define PCI_DEVICE_ID_MARVELL_88SX5040		0x5040
		#define PCI_DEVICE_ID_MARVELL_88SX5041		0x5041
		#define PCI_DEVICE_ID_MARVELL_88SX6040		0x6040
		#define PCI_DEVICE_ID_MARVELL_88SX6041		0x6041
		#define PCI_DEVICE_ID_MARVELL_88SX6080		0x6080
		#define PCI_DEVICE_ID_MARVELL_88SX6081		0x6081
		#define PCI_DEVICE_ID_MARVELL_88SX6101		0x6101
		#define PCI_DEVICE_ID_MARVELL_88SX6145		0x6145
		#define PCI_DEVICE_ID_MARVELL_88E8001		0x4320
		#define PCI_DEVICE_ID_BELKIN_F5D5005		0x5005

#define PCI_VENDOR_ID_DLINK							0x1186
		#define PCI_DEVICE_ID_DLINK_DFE528			0x1300
		#define	PCI_DEVICE_ID_DLINK_DGE530T			0x4b01
		#define	PCI_DEVICE_ID_DLINK_DGE510T			0x4c00

#define PCI_VENDOR_ID_JMICRON						0x197b
	#define PCI_DEVICE_ID_JMICRON_JMB360			0x2360	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB361			0x2361	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB362			0x2362	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB363			0x2363	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB364			0x2364	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB365			0x2365	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB366			0x2366	/* SATA controller */
	#define PCI_DEVICE_ID_JMICRON_JMB368			0x2368	/* PATA controller */

#define PCI_VENDOR_ID_ITE							0x1283
		#define PCI_DEVICE_ID_ITE_8211_IDE			0x8211
		#define PCI_DEVICE_ID_ITE_8212_IDE			0x8212

#define	PCI_VENDOR_ID_SYSKONNECT					0x1148
	#define	PCI_DEVICE_ID_SYSKONNECT_GE				0x4300
	#define	PCI_DEVICE_ID_SYSKONNECT_YU				0x4320

#define	PCI_VENDOR_ID_CNET							0x1371
	#define	PCI_DEVICE_ID_CNET_GIGACARD				0x434e

#define PCI_VENDOR_ID_VMWARE						0x15ad
    #define PCI_DEVICE_ID_VMWARE_PVSCSI             0x07c0

#define PCI_VENDOR_ID_STMICRO						0x104a
	#define PCI_DEVICE_ID_STMICRO_USB_HOST			0xcc00
	#define PCI_DEVICE_ID_STMICRO_USB_OHCI			0xcc01
	#define PCI_DEVICE_ID_STMICRO_USB_OTG			0xcc02
	#define PCI_DEVICE_ID_STMICRO_UART_HWFC			0xcc03
	#define PCI_DEVICE_ID_STMICRO_UART_NO_HWFC		0xcc04
	#define PCI_DEVICE_ID_STMICRO_SOC_DMA			0xcc05
	#define PCI_DEVICE_ID_STMICRO_SATAII			0xcc06
	#define PCI_DEVICE_ID_STMICRO_I2C				0xcc07
	#define PCI_DEVICE_ID_STMICRO_SPI_HS			0xcc08
	#define PCI_DEVICE_ID_STMICRO_MAC				0xcc09
	#define PCI_DEVICE_ID_STMICRO_SDIO_EMMC			0xcc0a
	#define PCI_DEVICE_ID_STMICRO_SDIO				0xcc0b
	#define PCI_DEVICE_ID_STMICRO_GPIO				0xcc0c
	#define PCI_DEVICE_ID_STMICRO_VIP				0xcc0d
	#define PCI_DEVICE_ID_STMICRO_AUDIO_ROUTER_DMA	0xcc0e
	#define PCI_DEVICE_ID_STMICRO_AUDIO_ROUTER_SRCS	0xcc0f
	#define PCI_DEVICE_ID_STMICRO_AUDIO_ROUTER_MSPS 0xcc10
	#define PCI_DEVICE_ID_STMICRO_CAN				0xcc11
	#define PCI_DEVICE_ID_STMICRO_MLB				0xcc12
	#define PCI_DEVICE_ID_STMICRO_SATA_PHY          0xcc14
	#define PCI_DEVICE_ID_STMICRO_ESRAM				0xcc15
	#define PCI_DEVICE_ID_STMICRO_VIC           	0xcc16

#define PCI_VENDOR_ID_LSI_LOGIC						0x1000
	#define PCI_DEVICE_ID_LSI_53C895A				0x0012
	#define PCI_DEVICE_ID_LSI_53C875A				0x0013
	#define PCI_DEVICE_ID_LSI_53C1010_33			0x0020
	#define PCI_DEVICE_ID_LSI_53C1010_66			0x0021
	#define PCI_DEVICE_ID_LSI_53C1030				0x0030
	#define PCI_DEVICE_ID_LSI_1030_53C1035			0x0032
	#define PCI_DEVICE_ID_LSI_53C1035				0x0040
	#define PCI_DEVICE_ID_NCR_53C875J				0x008f
	#define PCI_DEVICE_ID_LSI_FC909					0x0621
	#define PCI_DEVICE_ID_LSI_FC929					0x0622
	#define PCI_DEVICE_ID_LSI_FC929_LAN				0x0623
	#define PCI_DEVICE_ID_LSI_FC919					0x0624
	#define PCI_DEVICE_ID_LSI_FC919_LAN				0x0625
	#define PCI_DEVICE_ID_LSI_FC929X				0x0626
	#define PCI_DEVICE_ID_LSI_FC939X				0x0642
	#define PCI_DEVICE_ID_LSI_FC949X				0x0640
	#define PCI_DEVICE_ID_LSI_FC949ES				0x0646
	#define PCI_DEVICE_ID_LSI_FC919X				0x0628
	#define PCI_DEVICE_ID_LSI_61C102				0x0901
	#define PCI_DEVICE_ID_LSI_63C815				0x1000
	#define PCI_DEVICE_ID_LSI_SAS1064				0x0050
	#define PCI_DEVICE_ID_LSI_SAS1064R				0x0411
	#define PCI_DEVICE_ID_LSI_SAS1066				0x005E
	#define PCI_DEVICE_ID_LSI_SAS1068				0x0054
	#define PCI_DEVICE_ID_LSI_SAS1064A				0x005C
	#define PCI_DEVICE_ID_LSI_SAS1064E				0x0056
	#define PCI_DEVICE_ID_LSI_SAS1066E				0x005A
	#define PCI_DEVICE_ID_LSI_SAS1068E				0x0058
	#define PCI_DEVICE_ID_LSI_SAS1078				0x0060
	

#if defined(__QNXNTO__) && defined(__USESRCVERSION)
#include <sys/srcversion.h>
__SRCVERSION("$URL: http://svn/product/branches/6.6.0/trunk/hardware/pci/public/hw/pci_devices.h $ $Rev: 700153 $")
#endif
