/*
 * $QNXLicenseC:
 * Copyright 2014, QNX Software Systems.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You
 * may not reproduce, modify or distribute this software except in
 * compliance with the License. You may obtain a copy of the License
 * at: http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as
 * contributors under the License or as licensors under other terms.
 * Please review this entire file for other proprietary rights or license
 * notices, as well as the QNX Development Suite License Guide at
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */


#ifndef __OMAP4430_PADCONF_H__
#define __OMAP4430_PADCONF_H__

#define OMAP44XX_CONTROL_PADCONF_WKUP_BASE                               0x4a31e000

#define OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK0_PAD1_GPIO_WK1                     0x040
#define OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK2_PAD1_GPIO_WK3                     0x044
#define OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK4_PAD1_SR_SCL                       0x048
#define OMAP44XX_CONTROL_WKUP_PAD0_SR_SDA_PAD1_FREF_XTAL_IN                   0x04c
#define OMAP44XX_CONTROL_WKUP_PAD0_FREF_SLICER_IN_PAD1_FREF_CLK_IOREQ         0x050
#define OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK0_OUT_PAD1_FREF_CLK3_REQ           0x054
#define OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK3_OUT_PAD1_FREF_CLK4_REQ           0x058
#define OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK4_OUT_PAD1_SYS_32K                 0x05c
#define OMAP44XX_CONTROL_WKUP_PAD0_SYS_NRESPWRON_PAD1_SYS_NRESWARM            0x060
#define OMAP44XX_CONTROL_WKUP_PAD0_SYS_PWR_REQ_PAD1_SYS_PWRON_RESET_OUT       0x064
#define OMAP44XX_CONTROL_WKUP_PAD0_SYS_BOOT6_PAD1_SYS_BOOT7                   0x068
#define OMAP44XX_CONTROL_WKUP_PAD0_JTAG_NTRST_PAD1_JTAG_TCK                   0x06c
#define OMAP44XX_CONTROL_WKUP_PAD0_JTAG_RTCK_PAD1_JTAG_TMS_TMSC               0x070
#define OMAP44XX_CONTROL_WKUP_PAD0_JTAG_TDI_PAD1_JTAG_TDO                     0x074

#define PADCONF_WKUP_FIRST_OFFSET                                             0x040
#define PADCONF_WKUP_LAST_OFFSET                                              0x074

#define OMAP44XX_CONTROL_PADCONF_BASE                                     0x4a100000

#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD0_PAD1_GPMC_AD1                     0x0040
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD2_PAD1_GPMC_AD3                     0x0044
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD4_PAD1_GPMC_AD5                     0x0048
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD6_PAD1_GPMC_AD7                     0x004c
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD8_PAD1_GPMC_AD9                     0x0050
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD10_PAD1_GPMC_AD11                   0x0054
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD12_PAD1_GPMC_AD13                   0x0058
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD14_PAD1_GPMC_AD15                   0x005c
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_A16_PAD1_GPMC_A17                     0x0060
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_A18_PAD1_GPMC_A19                     0x0064
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_A20_PAD1_GPMC_A21                     0x0068
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_A22_PAD1_GPMC_A23                     0x006c
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_A24_PAD1_GPMC_A25                     0x0070
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS0_PAD1_GPMC_NCS1                   0x0074
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS2_PAD1_GPMC_NCS3                   0x0078
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWP_PAD1_GPMC_CLK                     0x007c
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NADV_ALE_PAD1_GPMC_NOE                0x0080
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWE_PAD1_GPMC_NBE0_CLE                0x0084
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NBE1_PAD1_GPMC_WAIT0                  0x0088
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_WAIT1_PAD1_GPMC_WAIT2                 0x008c
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS4_PAD1_GPMC_NCS5                   0x0090
#define OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS6_PAD1_GPMC_NCS7                   0x0094
#define OMAP44XX_CONTROL_CORE_PAD0_GPIO63_PAD1_GPIO64                         0x0098
#define OMAP44XX_CONTROL_CORE_PAD0_GPIO65_PAD1_GPIO66                         0x009c
#define OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX0_PAD1_CSI21_DY0                   0x00a0
#define OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX1_PAD1_CSI21_DY1                   0x00a4
#define OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX2_PAD1_CSI21_DY2                   0x00a8
#define OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX3_PAD1_CSI21_DY3                   0x00ac
#define OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX4_PAD1_CSI21_DY4                   0x00b0
#define OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX0_PAD1_CSI22_DY0                   0x00b4
#define OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX1_PAD1_CSI22_DY1                   0x00b8
#define OMAP44XX_CONTROL_CORE_PAD0_CAM_SHUTTER_PAD1_CAM_STROBE                0x00bc
#define OMAP44XX_CONTROL_CORE_PAD0_CAM_GLOBALRESET_PAD1_USBB1_ULPITLL_CLK     0x00c0
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_STP_PAD1_USBB1_ULPITLL_DIR   0x00c4
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_NXT_PAD1_USBB1_ULPITLL_DAT0  0x00c8
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT1_PAD1_USBB1_ULPITLL_DAT2 0x00cc
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT3_PAD1_USBB1_ULPITLL_DAT4 0x00d0
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT5_PAD1_USBB1_ULPITLL_DAT6 0x00d4
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT7_PAD1_USBB1_HSIC_DATA    0x00d8
#define OMAP44XX_CONTROL_CORE_PAD0_USBB1_HSIC_STROBE_PAD1_USBC1_ICUSB_DP      0x00dc
#define OMAP44XX_CONTROL_CORE_PAD0_USBC1_ICUSB_DM_PAD1_SDMMC1_CLK             0x00e0
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_CMD_PAD1_SDMMC1_DAT0                0x00e4
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT1_PAD1_SDMMC1_DAT2               0x00e8
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT3_PAD1_SDMMC1_DAT4               0x00ec
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT5_PAD1_SDMMC1_DAT6               0x00f0
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT7_PAD1_ABE_MCBSP2_CLKX           0x00f4
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_DR_PAD1_ABE_MCBSP2_DX           0x00f8
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_FSX_PAD1_ABE_MCBSP1_CLKX        0x00fc
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_DR_PAD1_ABE_MCBSP1_DX           0x0100
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_FSX_PAD1_ABE_PDM_UL_DATA        0x0104
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_DL_DATA_PAD1_ABE_PDM_FRAME         0x0108
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_LB_CLK_PAD1_ABE_CLKS               0x010c
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_CLK1_PAD1_ABE_DMIC_DIN1           0x0110
#define OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_DIN2_PAD1_ABE_DMIC_DIN3           0x0114
#define OMAP44XX_CONTROL_CORE_PAD0_UART2_CTS_PAD1_UART2_RTS                   0x0118
#define OMAP44XX_CONTROL_CORE_PAD0_UART2_RX_PAD1_UART2_TX                     0x011c
#define OMAP44XX_CONTROL_CORE_PAD0_HDQ_SIO_PAD1_I2C1_SCL                      0x0120
#define OMAP44XX_CONTROL_CORE_PAD0_I2C1_SDA_PAD1_I2C2_SCL                     0x0124
#define OMAP44XX_CONTROL_CORE_PAD0_I2C2_SDA_PAD1_I2C3_SCL                     0x0128
#define OMAP44XX_CONTROL_CORE_PAD0_I2C3_SDA_PAD1_I2C4_SCL                     0x012c
#define OMAP44XX_CONTROL_CORE_PAD0_I2C4_SDA_PAD1_MCSPI1_CLK                   0x0130
#define OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_SOMI_PAD1_MCSPI1_SIMO               0x0134
#define OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS0_PAD1_MCSPI1_CS1                 0x0138
#define OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS2_PAD1_MCSPI1_CS3                 0x013c
#define OMAP44XX_CONTROL_CORE_PAD0_UART3_CTS_RCTX_PAD1_UART3_RTS_SD           0x0140
#define OMAP44XX_CONTROL_CORE_PAD0_UART3_RX_IRRX_PAD1_UART3_TX_IRTX           0x0144
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_CLK_PAD1_SDMMC5_CMD                 0x0148
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT0_PAD1_SDMMC5_DAT1               0x014c
#define OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT2_PAD1_SDMMC5_DAT3               0x0150
#define OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_CLK_PAD1_MCSPI4_SIMO                0x0154
#define OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_SOMI_PAD1_MCSPI4_CS0                0x0158
#define OMAP44XX_CONTROL_CORE_PAD0_UART4_RX_PAD1_UART4_TX                     0x015c
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_CLK_PAD1_USBB2_ULPITLL_STP   0x0160
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DIR_PAD1_USBB2_ULPITLL_NXT   0x0164
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT0_PAD1_USBB2_ULPITLL_DAT1 0x0168
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT2_PAD1_USBB2_ULPITLL_DAT3 0x016c
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT4_PAD1_USBB2_ULPITLL_DAT5 0x0170
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT6_PAD1_USBB2_ULPITLL_DAT7 0x0174
#define OMAP44XX_CONTROL_CORE_PAD0_USBB2_HSIC_DATA_PAD1_USBB2_HSIC_STROBE     0x0178
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_COL3_PAD1_KPD_COL4                     0x017c
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_COL5_PAD1_KPD_COL0                     0x0180
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_COL1_PAD1_KPD_COL2                     0x0184
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW3_PAD1_KPD_ROW4                     0x0188
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW5_PAD1_KPD_ROW0                     0x018c
#define OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW1_PAD1_KPD_ROW2                     0x0190
#define OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_CE_PAD1_USBA0_OTG_DP             0x0194
#define OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_DM_PAD1_FREF_CLK1_OUT            0x0198
#define OMAP44XX_CONTROL_CORE_PAD0_FREF_CLK2_OUT_PAD1_SYS_NIRQ1               0x019c
#define OMAP44XX_CONTROL_CORE_PAD0_SYS_NIRQ2_PAD1_SYS_BOOT0                   0x01a0
#define OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT1_PAD1_SYS_BOOT2                   0x01a4
#define OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT3_PAD1_SYS_BOOT4                   0x01a8
#define OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT5_PAD1_DPM_EMU0                    0x01ac
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU1_PAD1_DPM_EMU2                     0x01b0
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU3_PAD1_DPM_EMU4                     0x01b4
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU5_PAD1_DPM_EMU6                     0x01b8
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU7_PAD1_DPM_EMU8                     0x01bc
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU9_PAD1_DPM_EMU10                    0x01c0
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU11_PAD1_DPM_EMU12                   0x01c4
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU13_PAD1_DPM_EMU14                   0x01c8
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU15_PAD1_DPM_EMU16                   0x01cc
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU17_PAD1_DPM_EMU18                   0x01d0
#define OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU19                                  0x01d4

#define PADCONF_CORE_FIRST_OFFSET                                             0x0040
#define PADCONF_CORE_LAST_OFFSET                                              0x01d4

#define PADCONF_PULLUDENABLE_SHIFT            3
#define PADCONF_PULLUDENABLE_MASK             (1<<PADCONF_PULLUDENABLE_SHIFT)
#define PADCONF_PULLUDENABLE_ENABLE             (1<<PADCONF_PULLUDENABLE_SHIFT)
#define PADCONF_PULLUDENABLE_DISABLE            (0<<PADCONF_PULLUDENABLE_SHIFT)
#define PADCONF_PULLTYPESELECT_SHIFT          4
#define PADCONF_PULLTYPESELECT_MASK           (1<<PADCONF_PULLTYPESELECT_SHIFT)
#define PADCONF_PULLTYPESELECT_PULLUP           (1<<PADCONF_PULLTYPESELECT_SHIFT)
#define PADCONF_PULLTYPESELECT_PULLDN           (0<<PADCONF_PULLTYPESELECT_SHIFT)
#define PADCONF_INPUTENABLE_SHIFT             8
#define PADCONF_INPUTENABLE_MASK              (1<<PADCONF_INPUTENABLE_SHIFT)
#define PADCONF_INPUTENABLE_INPUT               (1<<PADCONF_INPUTENABLE_SHIFT)
#define PADCONF_INPUTENABLE_NOINPUT             (0<<PADCONF_INPUTENABLE_SHIFT)
#define PADCONF_OFFMODEENABLE_SHIFT           9
#define PADCONF_OFFMODEENABLE_MASK            (1<<PADCONF_OFFMODEENABLE_SHIFT)
#define PADCONF_OFFMODEENABLE_FORCEOFF          (1<<PADCONF_OFFMODEENABLE_SHIFT)
#define PADCONF_OFFMODEENABLE_RETAIN            (0<<PADCONF_OFFMODEENABLE_SHIFT)
#define PADCONF_OFFMODEOUTENABLE_SHIFT        10
#define PADCONF_OFFMODEOUTENABLE_MASK         (1<<PADCONF_OFFMODEOUTENABLE_SHIFT)
#define PADCONF_OFFMODEOUTENABLE_DISABLE        (1<<PADCONF_OFFMODEOUTENABLE_SHIFT)
#define PADCONF_OFFMODEOUTENABLE_ENABLE         (0<<PADCONF_OFFMODEOUTENABLE_SHIFT)
#define PADCONF_OFFMODEOUTVALUE_SHIFT         11
#define PADCONF_OFFMODEOUTVALUE_MASK          (1<<PADCONF_OFFMODEOUTVALUE_SHIFT)
#define PADCONF_OFFMODEOUTVALUE_1               (1<<PADCONF_OFFMODEOUTVALUE_SHIFT)
#define PADCONF_OFFMODEOUTVALUE_0               (0<<PADCONF_OFFMODEOUTVALUE_SHIFT)
#define PADCONF_OFFMODEPULLUDENABLE_SHIFT     12
#define PADCONF_OFFMODEPULLUDENABLE_MASK      (1<<PADCONF_OFFMODEPULLUDENABLE_SHIFT)
#define PADCONF_OFFMODEPULLUDENABLE_ENABLE      (1<<PADCONF_OFFMODEPULLUDENABLE_SHIFT)
#define PADCONF_OFFMODEPULLUDENABLE_DISABLE     (0<<PADCONF_OFFMODEPULLUDENABLE_SHIFT)
#define PADCONF_OFFMODEPULLTYPESELECT_SHIFT   13
#define PADCONF_OFFMODEPULLTYPESELECT_MASK    (1<<PADCONF_OFFMODEPULLTYPESELECT_SHIFT)
#define PADCONF_OFFMODEPULLTYPESELECT_PULLUP    (1<<PADCONF_OFFMODEPULLTYPESELECT_SHIFT)
#define PADCONF_OFFMODEPULLTYPESELECT_PULLDN    (0<<PADCONF_OFFMODEPULLTYPESELECT_SHIFT)
#define PADCONF_WAKEUPENABLE_SHIFT            14
#define PADCONF_WAKEUPENABLE_MASK             (1<<PADCONF_WAKEUPENABLE_SHIFT)
#define PADCONF_WAKEUPENABLE_ENABLE             (1<<PADCONF_WAKEUPENABLE_SHIFT)
#define PADCONF_WAKEUPENABLE_DISABLE            (0<<PADCONF_WAKEUPENABLE_SHIFT)

#define PADCONF_VERSION_SPECIFIC_SHIFT        15
#define PADCONF_VERSION_SPECIFIC_FLAG         (1<<PADCONF_VERSION_SPECIFIC_SHIFT)

#define PADCONF_MUXMODE_SHIFT                  0
#define PADCONF_MUXMODE_MASK                  (0x7 << PADCONF_MUXMODE_SHIFT)
#define PADCONF_MUXMODE_FUNC(func)            (func << PADCONF_MUXMODE_SHIFT)

#define PADCONF_PAD0    0
#define PADCONF_PAD1    1

/*
  This enumeration is used to provide a unique ID for each possible function 
  supported by the PADCONF. The order and numbering isn't important except for the 
  "FuncId_none" which could be used as "0" in the configuration table to 
  simplify its readability.
 */
 
 
typedef enum {
    FuncId_None = 0,
    FuncId_RESERVED,
    FuncId_SAFE_MODE,

    FuncId_GPMC_AD0,
    FuncId_GPMC_AD1,
    FuncId_GPMC_AD2,
    FuncId_GPMC_AD3,
    FuncId_GPMC_AD4,
    FuncId_GPMC_AD5,
    FuncId_GPMC_AD6,
    FuncId_GPMC_AD7,
    FuncId_GPMC_AD8,
    FuncId_GPMC_AD9,
    FuncId_GPMC_AD10,
    FuncId_GPMC_AD11,
    FuncId_GPMC_AD12,
    FuncId_GPMC_AD13,
    FuncId_GPMC_AD14,
    FuncId_GPMC_AD15,
    FuncId_GPMC_A16,
    FuncId_GPMC_A17,
    FuncId_GPMC_A18,
    FuncId_GPMC_A19,
    FuncId_GPMC_A20,
    FuncId_GPMC_A21,
    FuncId_GPMC_A22,
    FuncId_GPMC_A23,
    FuncId_GPMC_A24,
    FuncId_GPMC_A25,
    FuncId_GPMC_NCS0,
    FuncId_GPMC_NCS1,
    FuncId_GPMC_NCS2,
    FuncId_GPMC_NCS3,
    FuncId_GPMC_NWP,
    FuncId_GPMC_CLK,
    FuncId_GPMC_NADV_ALE,
    FuncId_GPMC_NOE,
    FuncId_GPMC_NWE,
    FuncId_GPMC_NBE0_CLE,
    FuncId_GPMC_NBE1,
    FuncId_GPMC_WAIT0,
    FuncId_GPMC_WAIT1,
    FuncId_GPMC_WAIT2,
    FuncId_GPMC_NCS4,
    FuncId_GPMC_NCS5,
    FuncId_GPMC_NCS6,
    FuncId_GPMC_NCS7,
    FuncId_GPMC_DIR,
    FuncId_HDMI_HPD,
    FuncId_HDMI_CEC,
    FuncId_HDMI_DDC_SCL,
    FuncId_HDMI_DDC_SDA,
    FuncId_CSI21_DX0,
    FuncId_CSI21_DY0,
    FuncId_CSI21_DX1,
    FuncId_CSI21_DY1,
    FuncId_CSI21_DX2,
    FuncId_CSI21_DY2,
    FuncId_CSI21_DX3,
    FuncId_CSI21_DY3,
    FuncId_CSI21_DX4,
    FuncId_CSI21_DY4,
    FuncId_CSI22_DX0,
    FuncId_CSI22_DY0,
    FuncId_CSI22_DX1,
    FuncId_CSI22_DY1,
    FuncId_CAM_SHUTTER,
    FuncId_CAM_STROBE,
    FuncId_CAM_GLOBALRESET,
    FuncId_USBB1_ULPITLL_CLK,
    FuncId_USBB1_ULPITLL_STP,
    FuncId_USBB1_ULPITLL_DIR,
    FuncId_USBB1_ULPITLL_NXT,
    FuncId_USBB1_ULPITLL_DAT0,
    FuncId_USBB1_ULPITLL_DAT1,
    FuncId_USBB1_ULPITLL_DAT2,
    FuncId_USBB1_ULPITLL_DAT3,
    FuncId_USBB1_ULPITLL_DAT4,
    FuncId_USBB1_ULPITLL_DAT5,
    FuncId_USBB1_ULPITLL_DAT6,
    FuncId_USBB1_ULPITLL_DAT7,
    FuncId_USBB1_HSIC_DATA,
    FuncId_USBB1_HSIC_STROBE,
    FuncId_USBB1_ULPIPHY_CLK,
    FuncId_USBB1_ULPIPHY_STP,
    FuncId_USBB1_ULPIPHY_DIR,
    FuncId_USBB1_ULPIPHY_NXT,
    FuncId_USBB1_ULPIPHY_DAT0,
    FuncId_USBB1_ULPIPHY_DAT1,
    FuncId_USBB1_ULPIPHY_DAT2,
    FuncId_USBB1_ULPIPHY_DAT3,
    FuncId_USBB1_ULPIPHY_DAT4,
    FuncId_USBB1_ULPIPHY_DAT5,
    FuncId_USBB1_ULPIPHY_DAT6,
    FuncId_USBB1_ULPIPHY_DAT7,
    FuncId_USBB1_MM_RXDM,
    FuncId_USBB1_MM_RXDP,
    FuncId_USBB1_MM_RXRCV,
    FuncId_USBB1_MM_TXEN,
    FuncId_USBB1_MM_TXSE0,
    FuncId_USBB1_MM_TXDAT,
    FuncId_SIM_IO,
    FuncId_SIM_CLK,
    FuncId_SIM_RESET,
    FuncId_SIM_CD,
    FuncId_SIM_PWRCTRL,
    FuncId_USBC1_ICUSB_DP,
    FuncId_USBC1_ICUSB_DM,
    FuncId_USBC1_ICUSB_TXEN,
    FuncId_USBC1_ICUSB_RCV,
    FuncId_SDMMC1_CLK,
    FuncId_SDMMC1_CMD,
    FuncId_SDMMC1_DAT0,
    FuncId_SDMMC1_DAT1,
    FuncId_SDMMC1_DAT2,
    FuncId_SDMMC1_DAT3,
    FuncId_SDMMC1_DAT4,
    FuncId_SDMMC1_DAT5,
    FuncId_SDMMC1_DAT6,
    FuncId_SDMMC1_DAT7,
    FuncId_ABE_MCBSP1_CLKX,
    FuncId_ABE_MCBSP1_DR,
    FuncId_ABE_MCBSP1_DX,
    FuncId_ABE_MCBSP1_FSX,
    FuncId_ABE_MCBSP2_CLKX,
    FuncId_ABE_MCBSP2_DR,
    FuncId_ABE_MCBSP2_DX,
    FuncId_ABE_MCBSP2_FSX,
    FuncId_ABE_MCBSP3_CLKX,
    FuncId_ABE_MCBSP3_DR,
    FuncId_ABE_MCBSP3_DX,
    FuncId_ABE_MCBSP3_FSX,
    FuncId_ABE_PDM_UL_DATA,
    FuncId_ABE_PDM_DL_DATA,
    FuncId_ABE_PDM_FRAME,
    FuncId_ABE_PDM_LB_CLK,
    FuncId_ABE_CLKS,
    FuncId_ABE_DMIC_CLK1,
    FuncId_ABE_DMIC_CLK2,
    FuncId_ABE_DMIC_CLK3,
    FuncId_ABE_DMIC_DIN1,
    FuncId_ABE_DMIC_DIN2,
    FuncId_ABE_DMIC_DIN3,
    FuncId_ABE_SLIMBUS1_CLOCK,
    FuncId_ABE_SLIMBUS1_DATA,
    FuncId_ABE_MCASP_AHCLKX,
    FuncId_ABE_MCASP_AXR,
    FuncId_ABE_MCASP_AMUTE,
    FuncId_ABE_MCASP_AFSX,
    FuncId_ABE_MCASP_ACLKX,
    FuncId_ABE_MCASP_AMUTEIN,
    FuncId_UART2_CTS,
    FuncId_UART2_RTS,
    FuncId_UART2_RX,
    FuncId_UART2_TX,
    FuncId_HDQ_SIO,
    FuncId_I2C1_SCL,
    FuncId_I2C1_SDA,
    FuncId_I2C2_SCL,
    FuncId_I2C2_SDA,
    FuncId_I2C2_SCCB,
    FuncId_I2C3_SCL,
    FuncId_I2C3_SDA,
    FuncId_I2C3_SCCB,
    FuncId_I2C4_SCL,
    FuncId_I2C4_SDA,
    FuncId_SR_SCL,
    FuncId_SR_SDA,
    FuncId_MCSPI1_CLK,
    FuncId_MCSPI1_SOMI,
    FuncId_MCSPI1_SIMO,
    FuncId_MCSPI1_CS0,
    FuncId_MCSPI1_CS1,
    FuncId_MCSPI1_CS2,
    FuncId_MCSPI1_CS3,
    FuncId_UART3_CTS_RCTX,
    FuncId_UART3_RTS_SD,
    FuncId_UART3_RX_IRRX,
    FuncId_UART3_TX_IRTX,
    FuncId_SDMMC5_CLK,
    FuncId_SDMMC5_CMD,
    FuncId_SDMMC5_DAT0,
    FuncId_SDMMC5_DAT1,
    FuncId_SDMMC5_DAT2,
    FuncId_SDMMC5_DAT3,
    FuncId_MCSPI4_CLK,
    FuncId_MCSPI4_SIMO,
    FuncId_MCSPI4_SOMI,
    FuncId_MCSPI4_CS0,
    FuncId_UART4_RX,
    FuncId_UART4_TX,
    FuncId_UART4_RTS,
    FuncId_UART4_CTS,
    FuncId_USBB2_ULPITLL_CLK,
    FuncId_USBB2_ULPITLL_STP,
    FuncId_USBB2_ULPITLL_DIR,
    FuncId_USBB2_ULPITLL_NXT,
    FuncId_USBB2_ULPITLL_DAT0,
    FuncId_USBB2_ULPITLL_DAT1,
    FuncId_USBB2_ULPITLL_DAT2,
    FuncId_USBB2_ULPITLL_DAT3,
    FuncId_USBB2_ULPITLL_DAT4,
    FuncId_USBB2_ULPITLL_DAT5,
    FuncId_USBB2_ULPITLL_DAT6,
    FuncId_USBB2_ULPITLL_DAT7,
    FuncId_USBB2_HSIC_DATA,
    FuncId_USBB2_HSIC_STROBE,
    FuncId_USBB2_ULPIPHY_CLK,
    FuncId_USBB2_ULPIPHY_STP,
    FuncId_USBB2_ULPIPHY_DIR,
    FuncId_USBB2_ULPIPHY_NXT,
    FuncId_USBB2_ULPIPHY_DAT0,
    FuncId_USBB2_ULPIPHY_DAT1,
    FuncId_USBB2_ULPIPHY_DAT2,
    FuncId_USBB2_ULPIPHY_DAT3,
    FuncId_USBB2_ULPIPHY_DAT4,
    FuncId_USBB2_ULPIPHY_DAT5,
    FuncId_USBB2_ULPIPHY_DAT6,
    FuncId_USBB2_ULPIPHY_DAT7,
    FuncId_USBB2_MM_RXDM,
    FuncId_USBB2_MM_RXDP,
    FuncId_USBB2_MM_RXRCV,
    FuncId_USBB2_MM_TXEN,
    FuncId_USBB2_MM_TXSE0,
    FuncId_USBB2_MM_TXDAT,
    FuncId_KPD_COL0,
    FuncId_KPD_COL1,
    FuncId_KPD_COL2,
    FuncId_KPD_COL3,
    FuncId_KPD_COL4,
    FuncId_KPD_COL5,
    FuncId_KPD_COL6,
    FuncId_KPD_COL7,
    FuncId_KPD_COL8,
    FuncId_KPD_ROW0,
    FuncId_KPD_ROW1,
    FuncId_KPD_ROW2,
    FuncId_KPD_ROW3,
    FuncId_KPD_ROW4,
    FuncId_KPD_ROW5,
    FuncId_KPD_ROW6,
    FuncId_KPD_ROW7,
    FuncId_KPD_ROW8,
    FuncId_USBA0_OTG_CE,
    FuncId_USBA0_OTG_DP,
    FuncId_USBA0_OTG_DM,
    FuncId_USBA0_ULPIPHY_CLK,
    FuncId_USBA0_ULPIPHY_STP,
    FuncId_USBA0_ULPIPHY_DIR,
    FuncId_USBA0_ULPIPHY_NXT,
    FuncId_USBA0_ULPIPHY_DAT0,
    FuncId_USBA0_ULPIPHY_DAT1,
    FuncId_USBA0_ULPIPHY_DAT2,
    FuncId_USBA0_ULPIPHY_DAT3,
    FuncId_USBA0_ULPIPHY_DAT4,
    FuncId_USBA0_ULPIPHY_DAT5,
    FuncId_USBA0_ULPIPHY_DAT6,
    FuncId_USBA0_ULPIPHY_DAT7,
    FuncId_FREF_XTAL_IN,
    FuncId_FREF_XTAL_OUT,
    FuncId_FREF_XTAL_VSSOSC,
    FuncId_FREF_SLICER_IN,
    FuncId_FREF_CLK_IOREQ,
    FuncId_FREF_CLK0_OUT,
    FuncId_FREF_CLK1_OUT,
    FuncId_FREF_CLK1_REQ,
    FuncId_FREF_CLK2_OUT,
    FuncId_FREF_CLK2_REQ,
    FuncId_FREF_CLK3_REQ,
    FuncId_FREF_CLK3_OUT,
    FuncId_FREF_CLK4_REQ,
    FuncId_FREF_CLK4_OUT,
    FuncId_FREF_CLK5_REQ,
    FuncId_FREF_CLK5_OUT,
    FuncId_SYS_PWRON_RESET_OUT,
    FuncId_SYS_NIRQ1,
    FuncId_SYS_NIRQ2,
    FuncId_SYS_BOOT0,
    FuncId_SYS_BOOT1,
    FuncId_SYS_BOOT2,
    FuncId_SYS_BOOT3,
    FuncId_SYS_BOOT4,
    FuncId_SYS_BOOT5,
    FuncId_SYS_BOOT6,
    FuncId_SYS_BOOT7,
    FuncId_SYS_SECURE_INDICATOR,
    FuncId_SYS_DRM_MSECURE,
    FuncId_SYS_NDMAREQ0,
    FuncId_SYS_NDMAREQ1,
    FuncId_SYS_NDMAREQ2,
    FuncId_SYS_NDMAREQ3,
    FuncId_SYS_32K,
    FuncId_SYS_NRESPWRON,
    FuncId_SYS_NRESWARM,
    FuncId_SYS_PWR_REQ,
    FuncId_JTAG_TCK,
    FuncId_JTAG_TMS_TMSC,
    FuncId_JTAG_NTRST,
    FuncId_JTAG_RTCK,
    FuncId_JTAG_TDI,
    FuncId_JTAG_TDO,
    FuncId_DPM_EMU0,
    FuncId_DPM_EMU1,
    FuncId_DPM_EMU2,
    FuncId_DPM_EMU3,
    FuncId_DPM_EMU4,
    FuncId_DPM_EMU5,
    FuncId_DPM_EMU6,
    FuncId_DPM_EMU7,
    FuncId_DPM_EMU8,
    FuncId_DPM_EMU9,
    FuncId_DPM_EMU10,
    FuncId_DPM_EMU11,
    FuncId_DPM_EMU12,
    FuncId_DPM_EMU13,
    FuncId_DPM_EMU14,
    FuncId_DPM_EMU15,
    FuncId_DPM_EMU16,
    FuncId_DPM_EMU17,
    FuncId_DPM_EMU18,
    FuncId_DPM_EMU19,
    FuncId_SDMMC2_DAT0,
    FuncId_SDMMC2_DAT1,
    FuncId_SDMMC2_DAT2,
    FuncId_SDMMC2_DAT3,
    FuncId_SDMMC2_DAT4,
    FuncId_SDMMC2_DAT5,
    FuncId_SDMMC2_DAT6,
    FuncId_SDMMC2_DAT7,
    FuncId_SDMMC2_CLK,
    FuncId_SDMMC2_CMD,
    FuncId_SDMMC2_DIR_DAT0,
    FuncId_SDMMC2_DIR_DAT1,
    FuncId_SDMMC2_DIR_CMD,
    FuncId_SDMMC2_CLK_FDBK,
    FuncId_DSI1_TE0,
    FuncId_DSI1_TE1,
    FuncId_DSI2_TE0,
    FuncId_DSI2_TE1,
    FuncId_HSI1_CAWAKE,
    FuncId_HSI1_CADATA,
    FuncId_HSI1_CAFLAG,
    FuncId_HSI1_ACREADY,
    FuncId_HSI1_ACWAKE,
    FuncId_HSI1_ACDATA,
    FuncId_HSI1_ACFLAG,
    FuncId_HSI1_CAREADY,
    FuncId_HSI2_CAWAKE,
    FuncId_HSI2_CADATA,
    FuncId_HSI2_CAFLAG,
    FuncId_HSI2_ACREADY,
    FuncId_HSI2_ACWAKE,
    FuncId_HSI2_ACDATA,
    FuncId_HSI2_ACFLAG,
    FuncId_HSI2_CAREADY,
    FuncId_DMTIMER8_PWM_EVT,
    FuncId_DMTIMER9_PWM_EVT,
    FuncId_DMTIMER10_PWM_EVT,
    FuncId_DMTIMER11_PWM_EVT,
    FuncId_MCSPI2_CLK,
    FuncId_MCSPI2_SOMI,
    FuncId_MCSPI2_SIMO,
    FuncId_MCSPI2_CS0,
    FuncId_MCSPI2_CS1,
    FuncId_MCSPI3_CLK,
    FuncId_MCSPI3_SOMI,
    FuncId_MCSPI3_SIMO,
    FuncId_MCSPI3_CS0,
    FuncId_MCSPI3_CS1,
    FuncId_SDMMC3_DAT0,
    FuncId_SDMMC3_DAT1,
    FuncId_SDMMC3_DAT2,
    FuncId_SDMMC3_DAT3,
    FuncId_SDMMC3_DAT4,
    FuncId_SDMMC3_DAT5,
    FuncId_SDMMC3_DAT6,
    FuncId_SDMMC3_DAT7,
    FuncId_SDMMC3_CLK,
    FuncId_SDMMC3_CMD,
    FuncId_SDMMC4_DAT0,
    FuncId_SDMMC4_DAT1,
    FuncId_SDMMC4_DAT2,
    FuncId_SDMMC4_DAT3,
    FuncId_SDMMC4_DAT4,
    FuncId_SDMMC4_DAT5,
    FuncId_SDMMC4_DAT6,
    FuncId_SDMMC4_DAT7,
    FuncId_SDMMC4_CLK,
    FuncId_SDMMC4_CMD,
    FuncId_SLIMBUS2_CLOCK,
    FuncId_SLIMBUS2_DATA,
    FuncId_UART1_RX,
    FuncId_UART1_TX,
    FuncId_UART1_CTS,
    FuncId_UART1_RTS,
    FuncId_C2C_DATA15,
    FuncId_C2C_DATA14,
    FuncId_C2C_DATA13,
    FuncId_C2C_DATA12,
    FuncId_C2C_DATA11,
    FuncId_C2C_DATA10,
    FuncId_C2C_DATA9,
    FuncId_C2C_DATA8,
    FuncId_C2C_DATAIN0,
    FuncId_C2C_DATAIN1,
    FuncId_C2C_DATAIN2,
    FuncId_C2C_DATAIN3,
    FuncId_C2C_DATAIN4,
    FuncId_C2C_DATAIN5,
    FuncId_C2C_DATAIN6,
    FuncId_C2C_DATAIN7,
    FuncId_C2C_CLKIN0,
    FuncId_C2C_CLKIN1,
    FuncId_C2C_CLKOUT0,
    FuncId_C2C_CLKOUT1,
    FuncId_C2C_DATAOUT0,
    FuncId_C2C_DATAOUT1,
    FuncId_C2C_DATAOUT2,
    FuncId_C2C_DATAOUT3,
    FuncId_C2C_DATAOUT4,
    FuncId_C2C_DATAOUT5,
    FuncId_C2C_DATAOUT6,
    FuncId_C2C_DATAOUT7,
    FuncId_C2C_WAKEREQIN,
    FuncId_C2C_WAKEREQOUT,
    FuncId_MCBSP4_CLKR,
    FuncId_MCBSP4_FSR,
    FuncId_MCBSP4_FSX,
    FuncId_MCBSP4_CLKX,
    FuncId_MCBSP4_DX,
    FuncId_MCBSP4_DR,
    FuncId_VENC_656_DATA0,
    FuncId_VENC_656_DATA1,
    FuncId_VENC_656_DATA2,
    FuncId_VENC_656_DATA3,
    FuncId_VENC_656_DATA4,
    FuncId_VENC_656_DATA5,
    FuncId_VENC_656_DATA6,
    FuncId_VENC_656_DATA7,
    FuncId_RFBI_TE_VSYNC0,
    FuncId_RFBI_HSYNC0,
    FuncId_RFBI_CS0,
    FuncId_RFBI_RE,
    FuncId_RFBI_WE,
    FuncId_RFBI_A0,
    FuncId_RFBI_DATA0,
    FuncId_RFBI_DATA1,
    FuncId_RFBI_DATA2,
    FuncId_RFBI_DATA3,
    FuncId_RFBI_DATA4,
    FuncId_RFBI_DATA5,
    FuncId_RFBI_DATA6,
    FuncId_RFBI_DATA7,
    FuncId_RFBI_DATA8,
    FuncId_RFBI_DATA9,
    FuncId_RFBI_DATA10,
    FuncId_RFBI_DATA11,
    FuncId_RFBI_DATA12,
    FuncId_RFBI_DATA13,
    FuncId_RFBI_DATA14,
    FuncId_RFBI_DATA15,
    FuncId_DISPC2_DATA0,
    FuncId_DISPC2_DATA1,
    FuncId_DISPC2_DATA2,
    FuncId_DISPC2_DATA3,
    FuncId_DISPC2_DATA4,
    FuncId_DISPC2_DATA5,
    FuncId_DISPC2_DATA6,
    FuncId_DISPC2_DATA7,
    FuncId_DISPC2_DATA8,
    FuncId_DISPC2_DATA9,
    FuncId_DISPC2_DATA10,
    FuncId_DISPC2_DATA11,
    FuncId_DISPC2_DATA12,
    FuncId_DISPC2_DATA13,
    FuncId_DISPC2_DATA14,
    FuncId_DISPC2_DATA15,
    FuncId_DISPC2_DATA16,
    FuncId_DISPC2_DATA17,
    FuncId_DISPC2_DATA18,
    FuncId_DISPC2_DATA19,
    FuncId_DISPC2_DATA20,
    FuncId_DISPC2_DATA21,
    FuncId_DISPC2_DATA22,
    FuncId_DISPC2_DATA23,
    FuncId_DISPC2_DE,
    FuncId_DISPC2_VSYNC,
    FuncId_DISPC2_PCLK,
    FuncId_DISPC2_HSYNC,
    FuncId_DISPC2_FID,
    FuncId_ATTILA_HW_DBG0,
    FuncId_ATTILA_HW_DBG1,
    FuncId_ATTILA_HW_DBG2,
    FuncId_ATTILA_HW_DBG3,
    FuncId_ATTILA_HW_DBG4,
    FuncId_ATTILA_HW_DBG5,
    FuncId_ATTILA_HW_DBG6,
    FuncId_ATTILA_HW_DBG7,
    FuncId_ATTILA_HW_DBG8,
    FuncId_ATTILA_HW_DBG9,
    FuncId_ATTILA_HW_DBG10,
    FuncId_ATTILA_HW_DBG11,
    FuncId_ATTILA_HW_DBG12,
    FuncId_ATTILA_HW_DBG13,
    FuncId_ATTILA_HW_DBG14,
    FuncId_ATTILA_HW_DBG15,
    FuncId_ATTILA_HW_DBG16,
    FuncId_ATTILA_HW_DBG17,
    FuncId_ATTILA_HW_DBG18,
    FuncId_ATTILA_HW_DBG19,
    FuncId_ATTILA_HW_DBG20,
    FuncId_ATTILA_HW_DBG21,
    FuncId_ATTILA_HW_DBG22,
    FuncId_ATTILA_HW_DBG23,
    FuncId_ATTILA_HW_DBG24,
    FuncId_ATTILA_HW_DBG25,
    FuncId_ATTILA_HW_DBG26,
    FuncId_ATTILA_HW_DBG27,
    FuncId_ATTILA_HW_DBG28,
    FuncId_ATTILA_HW_DBG29,
    FuncId_ATTILA_HW_DBG30,
    FuncId_ATTILA_HW_DBG31,
   
    /* GPIO Functions */
    FuncId_GPIO_0,
    FuncId_GPIO_WK0,
    FuncId_GPIO_1,
    FuncId_GPIO_WK1,
    FuncId_GPIO_2,
    FuncId_GPIO_WK2,
    FuncId_GPIO_3,
    FuncId_GPIO_WK3,
    FuncId_GPIO_WK4,
    FuncId_GPI_WK5,
    FuncId_GPIO_WK6,
    FuncId_GPIO_WK7,
    FuncId_GPIO_WK8,
    FuncId_GPIO_WK9,
    FuncId_GPIO_WK10,
    FuncId_GPIO_11,
    FuncId_GPIO_12,
    FuncId_GPIO_13,
    FuncId_GPIO_14,
    FuncId_GPIO_15,
    FuncId_GPIO_16,
    FuncId_GPIO_17,
    FuncId_GPIO_18,
    FuncId_GPIO_19,
    FuncId_GPIO_20,
    FuncId_GPIO_21,
    FuncId_GPIO_22,
    FuncId_GPIO_23,
    FuncId_GPIO_24,
    FuncId_GPIO_25,
    FuncId_GPIO_26,
    FuncId_GPIO_27,
    FuncId_GPIO_28,
    FuncId_GPIO_WK29,
    FuncId_GPIO_WK30,
    FuncId_GPIO_WK31,
    FuncId_GPIO_32,
    FuncId_GPIO_33,
    FuncId_GPIO_34,
    FuncId_GPIO_35,
    FuncId_GPIO_36,
    FuncId_GPIO_37,
    FuncId_GPIO_38,
    FuncId_GPIO_39,
    FuncId_GPIO_40,
    FuncId_GPIO_41,
    FuncId_GPIO_42,
    FuncId_GPIO_43,
    FuncId_GPIO_44,
    FuncId_GPIO_45,
    FuncId_GPIO_46,
    FuncId_GPIO_47,
    FuncId_GPIO_48,
    FuncId_GPIO_49,
    FuncId_GPIO_50,
    FuncId_GPIO_51,
    FuncId_GPIO_52,
    FuncId_GPIO_53,
    FuncId_GPIO_54,
    FuncId_GPIO_55,
    FuncId_GPIO_56,
    FuncId_GPIO_59,
    FuncId_GPIO_60,
    FuncId_GPIO_61,
    FuncId_GPIO_62,
    FuncId_GPIO_63,
    FuncId_GPIO_64,
    FuncId_GPIO_65,
    FuncId_GPIO_66,
    FuncId_GPI_67,
    FuncId_GPI_68,
    FuncId_GPI_69,
    FuncId_GPI_70,
    FuncId_GPI_71,
    FuncId_GPI_72,
    FuncId_GPI_73,
    FuncId_GPI_74,
    FuncId_GPI_75,
    FuncId_GPI_76,
    FuncId_GPI_77,
    FuncId_GPI_78,
    FuncId_GPI_79,
    FuncId_GPI_80,
    FuncId_GPIO_81,
    FuncId_GPIO_82,
    FuncId_GPIO_83,
    FuncId_GPIO_84,
    FuncId_GPIO_85,
    FuncId_GPIO_86,
    FuncId_GPIO_87,
    FuncId_GPIO_88,
    FuncId_GPIO_89,
    FuncId_GPIO_90,
    FuncId_GPIO_91,
    FuncId_GPIO_92,
    FuncId_GPIO_93,
    FuncId_GPIO_94,
    FuncId_GPIO_95,
    FuncId_GPIO_96,
    FuncId_GPIO_97,
    FuncId_GPIO_98,
    FuncId_GPIO_99,
    FuncId_GPIO_100,
    FuncId_GPIO_101,
    FuncId_GPIO_102,
    FuncId_GPIO_103,
    FuncId_GPIO_104,
    FuncId_GPIO_105,
    FuncId_GPIO_106,
    FuncId_GPIO_107,
    FuncId_GPIO_108,
    FuncId_GPIO_109,
    FuncId_GPIO_110,
    FuncId_GPIO_111,
    FuncId_GPIO_112,
    FuncId_GPIO_114,
    FuncId_GPIO_113,
    FuncId_GPIO_115,
    FuncId_GPIO_116,
    FuncId_GPIO_117,
    FuncId_GPIO_118,
    FuncId_GPIO_119,
    FuncId_GPIO_120,
    FuncId_GPIO_121,
    FuncId_GPIO_122,
    FuncId_GPIO_123,
    FuncId_GPIO_124,
    FuncId_GPIO_125,
    FuncId_GPIO_126,
    FuncId_GPIO_127,
    FuncId_GPIO_128,
    FuncId_GPIO_129,
    FuncId_GPIO_130,
    FuncId_GPIO_131,
    FuncId_GPIO_132,
    FuncId_GPIO_133,
    FuncId_GPIO_134,
    FuncId_GPIO_135,
    FuncId_GPIO_136,
    FuncId_GPIO_137,
    FuncId_GPIO_138,
    FuncId_GPIO_139,
    FuncId_GPIO_140,
    FuncId_GPIO_141,
    FuncId_GPIO_142,
    FuncId_GPIO_143,
    FuncId_GPIO_144,
    FuncId_GPIO_145,
    FuncId_GPIO_146,
    FuncId_GPIO_147,
    FuncId_GPIO_148,
    FuncId_GPIO_149,
    FuncId_GPIO_150,
    FuncId_GPIO_151,
    FuncId_GPIO_152,
    FuncId_GPIO_153,
    FuncId_GPIO_154,
    FuncId_GPIO_155,
    FuncId_GPIO_156,
    FuncId_GPIO_157,
    FuncId_GPIO_158,
    FuncId_GPIO_159,
    FuncId_GPIO_160,
    FuncId_GPIO_161,
    FuncId_GPIO_162,
    FuncId_GPIO_163,
    FuncId_GPIO_164,
    FuncId_GPIO_165,
    FuncId_GPIO_166,
    FuncId_GPIO_167,
    FuncId_GPIO_168,
    FuncId_GPIO_169,
    FuncId_GPIO_170,
    FuncId_GPIO_171,
    FuncId_GPIO_172,
    FuncId_GPIO_173,
    FuncId_GPIO_174,
    FuncId_GPIO_175,
    FuncId_GPIO_176,
    FuncId_GPIO_177,
    FuncId_GPIO_178,
    FuncId_GPIO_181,
    FuncId_GPIO_182,
    FuncId_GPIO_183,
    FuncId_GPIO_184,
    FuncId_GPIO_185,
    FuncId_GPIO_186,
    FuncId_GPIO_187,
    FuncId_GPIO_188,
    FuncId_GPIO_189,
    FuncId_GPIO_190,
    FuncId_GPIO_191,

}padconf_FuncId_e;

typedef struct {
    unsigned            pad;
    uint32_t            id;
    padconf_FuncId_e    func[8];
}padconf_func_map_t;

/*
  This structure is used to specify a pin that needs to be configured with its 
  associated options. 
  
  You need to specify the register offset to be configured, whether it is pad0 or pad1,
  its associated function (which comes from a enum for validation purpose) and all options 
  supported by the definition of the PADCONF of the Padconf Control Registers
  as defined in the OMAP4430 CONTROL Module document (Doc. No. SWPU220 - May 2010).

  See the SYSCTRL_PADCONF_CORE and SYSCTRL_PADCONF_WKUP registers for more details.
*/
typedef struct {
    unsigned            pad;
    unsigned            reg;
    padconf_FuncId_e    func;
    unsigned            options;    
    unsigned char       version_start;
    unsigned char       version_end;
}pin_cfg_t;
    
/* Define configuration table info */
#ifdef OMAP4430_PADCONF_CFG_TABLE

/*
   This function define possible functions associated with a pin. It will be
   use in our normal development cycle but since this table takes some room that
   might not be suitable in system with memory constrain. It is recommended to use
   it as a configuration tool and once the proper table is generated for a
   specific board. You should simply capture the table and and run a utility
   that will load value into specific register.
 */

padconf_func_map_t     padconf_wkup_func_table[] =
{
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK0_PAD1_GPIO_WK1,
    .func = { FuncId_SIM_IO, FuncId_None, FuncId_None, FuncId_GPIO_WK0, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG1, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK0_PAD1_GPIO_WK1,
    .func = { FuncId_SIM_CLK, FuncId_None, FuncId_None, FuncId_GPIO_WK1, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG2, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK2_PAD1_GPIO_WK3,
    .func = { FuncId_SIM_RESET, FuncId_None, FuncId_None, FuncId_GPIO_WK2, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG3, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK2_PAD1_GPIO_WK3,
    .func = { FuncId_SIM_CD, FuncId_None, FuncId_None, FuncId_GPIO_WK3, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG4, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK4_PAD1_SR_SCL,
    .func = { FuncId_SIM_PWRCTRL, FuncId_None, FuncId_None, FuncId_GPIO_WK4, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG5, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_GPIO_WK4_PAD1_SR_SCL,
    .func = { FuncId_SR_SCL, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_SR_SDA_PAD1_FREF_XTAL_IN,
    .func = { FuncId_SR_SDA, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_SR_SDA_PAD1_FREF_XTAL_IN,
    .func = { FuncId_FREF_XTAL_IN, FuncId_None, FuncId_None, FuncId_None, FuncId_C2C_WAKEREQIN, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_SLICER_IN_PAD1_FREF_CLK_IOREQ,
    .func = { FuncId_FREF_SLICER_IN, FuncId_None, FuncId_None, FuncId_GPI_WK5, FuncId_C2C_WAKEREQIN, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_SLICER_IN_PAD1_FREF_CLK_IOREQ,
    .func = { FuncId_FREF_CLK_IOREQ, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK0_OUT_PAD1_FREF_CLK3_REQ,
    .func = { FuncId_FREF_CLK0_OUT, FuncId_FREF_CLK1_REQ, FuncId_RESERVED, FuncId_GPIO_WK6, FuncId_None, FuncId_SDMMC2_DAT7, FuncId_ATTILA_HW_DBG6, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK0_OUT_PAD1_FREF_CLK3_REQ,
    .func = { FuncId_FREF_CLK3_REQ, FuncId_FREF_CLK1_REQ, FuncId_RESERVED, FuncId_GPIO_WK30, FuncId_C2C_WAKEREQIN, FuncId_SDMMC2_DAT4, FuncId_ATTILA_HW_DBG7, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK3_OUT_PAD1_FREF_CLK4_REQ,
    .func = { FuncId_FREF_CLK3_OUT, FuncId_FREF_CLK2_REQ, FuncId_RESERVED, FuncId_GPIO_WK31, FuncId_C2C_WAKEREQOUT, FuncId_SDMMC2_DAT5, FuncId_ATTILA_HW_DBG8, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK3_OUT_PAD1_FREF_CLK4_REQ,
    .func = { FuncId_FREF_CLK4_REQ, FuncId_FREF_CLK5_OUT, FuncId_None, FuncId_GPIO_WK7, FuncId_None, FuncId_SDMMC2_DAT6, FuncId_ATTILA_HW_DBG6, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK4_OUT_PAD1_SYS_32K,
    .func = { FuncId_FREF_CLK4_OUT, FuncId_None, FuncId_None, FuncId_GPIO_WK8, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG10, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_FREF_CLK4_OUT_PAD1_SYS_32K,
    .func = { FuncId_SYS_32K, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_NRESPWRON_PAD1_SYS_NRESWARM,
    .func = { FuncId_SYS_NRESPWRON, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_NRESPWRON_PAD1_SYS_NRESWARM,
    .func = { FuncId_SYS_NRESWARM, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_PWR_REQ_PAD1_SYS_PWRON_RESET_OUT,
    .func = { FuncId_SYS_PWR_REQ, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_PWR_REQ_PAD1_SYS_PWRON_RESET_OUT,
    .func = { FuncId_SYS_PWRON_RESET_OUT, FuncId_None, FuncId_None, FuncId_GPIO_WK29, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG11, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_BOOT6_PAD1_SYS_BOOT7,
    .func = { FuncId_SYS_BOOT6, FuncId_DPM_EMU18, FuncId_None, FuncId_GPIO_WK9, FuncId_C2C_WAKEREQOUT, FuncId_None, FuncId_ATTILA_HW_DBG12, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_SYS_BOOT6_PAD1_SYS_BOOT7,
    .func = { FuncId_SYS_BOOT7, FuncId_DPM_EMU19, FuncId_None, FuncId_GPIO_WK10, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG13, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_NTRST_PAD1_JTAG_TCK,
    .func = { FuncId_JTAG_NTRST, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_NTRST_PAD1_JTAG_TCK,
    .func = { FuncId_JTAG_TCK, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_RTCK_PAD1_JTAG_TMS_TMSC,
    .func = { FuncId_JTAG_RTCK, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_RTCK_PAD1_JTAG_TMS_TMSC,
    .func = { FuncId_JTAG_TMS_TMSC, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_TDI_PAD1_JTAG_TDO,
    .func = { FuncId_JTAG_TDI, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_WKUP_PAD0_JTAG_TDI_PAD1_JTAG_TDO,
    .func = { FuncId_JTAG_TDO, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }}
};


padconf_func_map_t     padconf_func_table[] =
{
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD0_PAD1_GPMC_AD1,
    .func = { FuncId_GPMC_AD0, FuncId_SDMMC2_DAT0, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD0_PAD1_GPMC_AD1,
    .func = { FuncId_GPMC_AD1, FuncId_SDMMC2_DAT1, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD2_PAD1_GPMC_AD3,
    .func = { FuncId_GPMC_AD2, FuncId_SDMMC2_DAT2, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD2_PAD1_GPMC_AD3,
    .func = { FuncId_GPMC_AD3, FuncId_SDMMC2_DAT3, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD4_PAD1_GPMC_AD5,
    .func = { FuncId_GPMC_AD4, FuncId_SDMMC2_DAT4, FuncId_SDMMC2_DIR_DAT0, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD4_PAD1_GPMC_AD5,
    .func = { FuncId_GPMC_AD5, FuncId_SDMMC2_DAT5, FuncId_SDMMC2_DIR_DAT1, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD6_PAD1_GPMC_AD7,
    .func = { FuncId_GPMC_AD6, FuncId_SDMMC2_DAT6, FuncId_SDMMC2_DIR_CMD, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD6_PAD1_GPMC_AD7,
    .func = { FuncId_GPMC_AD7, FuncId_SDMMC2_DAT7, FuncId_SDMMC2_CLK_FDBK, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD8_PAD1_GPMC_AD9,
    .func = { FuncId_GPMC_AD8, FuncId_KPD_ROW0, FuncId_C2C_DATA15, FuncId_GPIO_32, FuncId_None, FuncId_SDMMC1_DAT0, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD8_PAD1_GPMC_AD9,
    .func = { FuncId_GPMC_AD9, FuncId_KPD_ROW1, FuncId_C2C_DATA14, FuncId_GPIO_33, FuncId_None, FuncId_SDMMC1_DAT1, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD10_PAD1_GPMC_AD11,
    .func = { FuncId_GPMC_AD10, FuncId_KPD_ROW2, FuncId_C2C_DATA13, FuncId_GPIO_34, FuncId_None, FuncId_SDMMC1_DAT2, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD10_PAD1_GPMC_AD11,
    .func = { FuncId_GPMC_AD11, FuncId_KPD_ROW3, FuncId_C2C_DATA12, FuncId_GPIO_35, FuncId_None, FuncId_SDMMC1_DAT3, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD12_PAD1_GPMC_AD13,
    .func = { FuncId_GPMC_AD12, FuncId_KPD_COL0, FuncId_C2C_DATA11, FuncId_GPIO_36, FuncId_None, FuncId_SDMMC1_DAT4, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD12_PAD1_GPMC_AD13,
    .func = { FuncId_GPMC_AD13, FuncId_KPD_COL1, FuncId_C2C_DATA10, FuncId_GPIO_37, FuncId_None, FuncId_SDMMC1_DAT5, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD14_PAD1_GPMC_AD15,
    .func = { FuncId_GPMC_AD14, FuncId_KPD_COL0, FuncId_C2C_DATA9, FuncId_GPIO_38, FuncId_None, FuncId_SDMMC1_DAT6, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_AD14_PAD1_GPMC_AD15,
    .func = { FuncId_GPMC_AD15, FuncId_KPD_COL3, FuncId_C2C_DATA8, FuncId_GPIO_39, FuncId_None, FuncId_SDMMC1_DAT7, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A16_PAD1_GPMC_A17,
    .func = { FuncId_GPMC_A16, FuncId_KPD_ROW4, FuncId_C2C_DATAIN0, FuncId_GPIO_40, FuncId_VENC_656_DATA0, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A16_PAD1_GPMC_A17,
    .func = { FuncId_GPMC_A17, FuncId_KPD_ROW5, FuncId_C2C_DATAIN1, FuncId_GPIO_41, FuncId_VENC_656_DATA1, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A18_PAD1_GPMC_A19,
    .func = { FuncId_GPMC_A18, FuncId_KPD_ROW6, FuncId_C2C_DATAIN2, FuncId_GPIO_42, FuncId_VENC_656_DATA2, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A18_PAD1_GPMC_A19,
    .func = { FuncId_GPMC_A19, FuncId_KPD_ROW7, FuncId_C2C_DATAIN3, FuncId_GPIO_43, FuncId_VENC_656_DATA3, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A20_PAD1_GPMC_A21,
    .func = { FuncId_GPMC_A20, FuncId_KPD_COL4, FuncId_C2C_DATAIN4, FuncId_GPIO_44, FuncId_VENC_656_DATA4, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A20_PAD1_GPMC_A21,
    .func = { FuncId_GPMC_A21, FuncId_KPD_COL5, FuncId_C2C_DATAIN5, FuncId_GPIO_45, FuncId_VENC_656_DATA5, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A22_PAD1_GPMC_A23,
    .func = { FuncId_GPMC_A22, FuncId_KPD_COL6, FuncId_C2C_DATAIN6, FuncId_GPIO_46, FuncId_VENC_656_DATA6, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A22_PAD1_GPMC_A23,
    .func = { FuncId_GPMC_A23, FuncId_KPD_COL7, FuncId_C2C_DATAIN7, FuncId_GPIO_47, FuncId_VENC_656_DATA7, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A24_PAD1_GPMC_A25,
    .func = { FuncId_GPMC_A24, FuncId_KPD_COL8, FuncId_C2C_CLKOUT0, FuncId_GPIO_48, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_A24_PAD1_GPMC_A25,
    .func = { FuncId_GPMC_A25, FuncId_None, FuncId_C2C_CLKOUT1, FuncId_GPIO_49, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS0_PAD1_GPMC_NCS1,
    .func = { FuncId_GPMC_NCS0, FuncId_None, FuncId_None, FuncId_GPIO_50, FuncId_SYS_NDMAREQ0, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS0_PAD1_GPMC_NCS1,
    .func = { FuncId_GPMC_NCS1, FuncId_None, FuncId_C2C_DATAOUT6, FuncId_GPIO_51, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS2_PAD1_GPMC_NCS3,
    .func = { FuncId_GPMC_NCS2, FuncId_KPD_ROW8, FuncId_C2C_DATAOUT7, FuncId_GPIO_52, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS2_PAD1_GPMC_NCS3,
    .func = { FuncId_GPMC_NCS3, FuncId_GPMC_DIR, FuncId_C2C_DATAOUT4, FuncId_GPIO_53, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWP_PAD1_GPMC_CLK,
    .func = { FuncId_GPMC_NWP, FuncId_DSI1_TE0, FuncId_None, FuncId_GPIO_54, FuncId_SYS_NDMAREQ1, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWP_PAD1_GPMC_CLK,
    .func = { FuncId_GPMC_CLK, FuncId_None, FuncId_None, FuncId_GPIO_55, FuncId_SYS_NDMAREQ2, FuncId_SDMMC1_CMD, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NADV_ALE_PAD1_GPMC_NOE,
    .func = { FuncId_GPMC_NADV_ALE, FuncId_DSI1_TE1, FuncId_None, FuncId_GPIO_56, FuncId_SYS_NDMAREQ3, FuncId_SDMMC1_CLK, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NADV_ALE_PAD1_GPMC_NOE,
    .func = { FuncId_GPMC_NOE, FuncId_SDMMC2_CLK, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWE_PAD1_GPMC_NBE0_CLE,
    .func = { FuncId_GPMC_NWE, FuncId_SDMMC2_CMD, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NWE_PAD1_GPMC_NBE0_CLE,
    .func = { FuncId_GPMC_NBE0_CLE, FuncId_DSI2_TE0, FuncId_None, FuncId_GPIO_59, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NBE1_PAD1_GPMC_WAIT0,
    .func = { FuncId_GPMC_NBE1, FuncId_None, FuncId_C2C_DATAOUT5, FuncId_GPIO_60, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NBE1_PAD1_GPMC_WAIT0,
    .func = { FuncId_GPMC_WAIT0, FuncId_DSI2_TE1, FuncId_None, FuncId_GPIO_61, FuncId_None, FuncId_None, FuncId_None, FuncId_None }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_WAIT1_PAD1_GPMC_WAIT2,
    .func = { FuncId_GPMC_WAIT1, FuncId_None, FuncId_C2C_DATAOUT2, FuncId_GPIO_62, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_WAIT1_PAD1_GPMC_WAIT2,
    .func = { FuncId_GPMC_WAIT2, FuncId_USBC1_ICUSB_TXEN, FuncId_C2C_DATAOUT3, FuncId_GPIO_100, FuncId_SYS_NDMAREQ0, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS4_PAD1_GPMC_NCS5,
    .func = { FuncId_GPMC_NCS4, FuncId_DSI1_TE0, FuncId_C2C_CLKIN0, FuncId_GPIO_101, FuncId_SYS_NDMAREQ1, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS4_PAD1_GPMC_NCS5,
    .func = { FuncId_GPMC_NCS5, FuncId_DSI1_TE1, FuncId_C2C_CLKIN1, FuncId_GPIO_102, FuncId_SYS_NDMAREQ2, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS6_PAD1_GPMC_NCS7,
    .func = { FuncId_GPMC_NCS6, FuncId_DSI2_TE0, FuncId_C2C_DATAOUT0, FuncId_GPIO_103, FuncId_SYS_NDMAREQ3, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPMC_NCS6_PAD1_GPMC_NCS7,
    .func = { FuncId_GPMC_NCS7, FuncId_DSI2_TE1, FuncId_C2C_DATAOUT1, FuncId_GPIO_104, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPIO63_PAD1_GPIO64,
    .func = { FuncId_HDMI_HPD, FuncId_None, FuncId_None, FuncId_GPIO_63, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPIO63_PAD1_GPIO64,
    .func = { FuncId_HDMI_CEC, FuncId_None, FuncId_None, FuncId_GPIO_64, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_GPIO65_PAD1_GPIO66,
    .func = { FuncId_HDMI_DDC_SCL, FuncId_None, FuncId_None, FuncId_GPIO_65, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_GPIO65_PAD1_GPIO66,
    .func = { FuncId_HDMI_DDC_SDA, FuncId_None, FuncId_None, FuncId_GPIO_66, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX0_PAD1_CSI21_DY0,
    .func = { FuncId_CSI21_DX0, FuncId_None, FuncId_None, FuncId_GPI_67, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX0_PAD1_CSI21_DY0,
    .func = { FuncId_CSI21_DY0, FuncId_None, FuncId_None, FuncId_GPI_68, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX1_PAD1_CSI21_DY1,
    .func = { FuncId_CSI21_DX1, FuncId_None, FuncId_None, FuncId_GPI_69, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX1_PAD1_CSI21_DY1,
    .func = { FuncId_CSI21_DY1, FuncId_None, FuncId_None, FuncId_GPI_70, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX2_PAD1_CSI21_DY2,
    .func = { FuncId_CSI21_DX2, FuncId_None, FuncId_None, FuncId_GPI_71, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX2_PAD1_CSI21_DY2,
    .func = { FuncId_CSI21_DY2, FuncId_None, FuncId_None, FuncId_GPI_72, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX3_PAD1_CSI21_DY3,
    .func = { FuncId_CSI21_DX3, FuncId_None, FuncId_None, FuncId_GPI_73, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX3_PAD1_CSI21_DY3,
    .func = { FuncId_CSI21_DY3, FuncId_None, FuncId_None, FuncId_GPI_74, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX4_PAD1_CSI21_DY4,
    .func = { FuncId_CSI21_DX4, FuncId_None, FuncId_None, FuncId_GPI_75, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI21_DX4_PAD1_CSI21_DY4,
    .func = { FuncId_CSI21_DY4, FuncId_None, FuncId_None, FuncId_GPI_76, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX0_PAD1_CSI22_DY0,
    .func = { FuncId_CSI22_DX0, FuncId_None, FuncId_None, FuncId_GPI_77, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX0_PAD1_CSI22_DY0,
    .func = { FuncId_CSI22_DY0, FuncId_None, FuncId_None, FuncId_GPI_78, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX1_PAD1_CSI22_DY1,
    .func = { FuncId_CSI22_DX1, FuncId_None, FuncId_None, FuncId_GPI_79, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CSI22_DX1_PAD1_CSI22_DY1,
    .func = { FuncId_CSI22_DY1, FuncId_None, FuncId_None, FuncId_GPI_80, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CAM_SHUTTER_PAD1_CAM_STROBE,
    .func = { FuncId_CAM_SHUTTER, FuncId_None, FuncId_None, FuncId_GPIO_81, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CAM_SHUTTER_PAD1_CAM_STROBE,
    .func = { FuncId_CAM_STROBE, FuncId_None, FuncId_None, FuncId_GPIO_82, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_CAM_GLOBALRESET_PAD1_USBB1_ULPITLL_CLK,
    .func = { FuncId_CAM_GLOBALRESET, FuncId_None, FuncId_None, FuncId_GPIO_83, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_CAM_GLOBALRESET_PAD1_USBB1_ULPITLL_CLK,
    .func = { FuncId_USBB1_ULPITLL_CLK, FuncId_HSI1_CAWAKE, FuncId_None, FuncId_GPIO_84, FuncId_USBB1_ULPIPHY_CLK, FuncId_None, FuncId_ATTILA_HW_DBG20, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_STP_PAD1_USBB1_ULPITLL_DIR,
    .func = { FuncId_USBB1_ULPITLL_STP, FuncId_HSI1_CADATA, FuncId_MCBSP4_CLKR, FuncId_GPIO_85, FuncId_USBB1_ULPIPHY_STP, FuncId_USBB1_MM_RXDP, FuncId_ATTILA_HW_DBG21, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_STP_PAD1_USBB1_ULPITLL_DIR,
    .func = { FuncId_USBB1_ULPITLL_DIR, FuncId_HSI1_CAFLAG, FuncId_MCBSP4_FSR, FuncId_GPIO_86, FuncId_USBB1_ULPIPHY_DIR, FuncId_None, FuncId_ATTILA_HW_DBG22, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_NXT_PAD1_USBB1_ULPITLL_DAT0,
    .func = { FuncId_USBB1_ULPITLL_NXT, FuncId_HSI1_ACREADY, FuncId_MCBSP4_FSX, FuncId_GPIO_87, FuncId_USBB1_ULPIPHY_NXT, FuncId_USBB1_MM_RXDM, FuncId_ATTILA_HW_DBG23, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_NXT_PAD1_USBB1_ULPITLL_DAT0,
    .func = { FuncId_USBB1_ULPITLL_DAT0, FuncId_HSI1_ACWAKE, FuncId_MCBSP4_CLKX, FuncId_GPIO_88, FuncId_USBB1_ULPIPHY_DAT0, FuncId_USBB1_MM_TXEN, FuncId_ATTILA_HW_DBG24, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT1_PAD1_USBB1_ULPITLL_DAT2,
    .func = { FuncId_USBB1_ULPITLL_DAT1, FuncId_HSI1_ACDATA, FuncId_MCBSP4_DX, FuncId_GPIO_89, FuncId_USBB1_ULPIPHY_DAT1, FuncId_USBB1_MM_TXDAT, FuncId_ATTILA_HW_DBG25, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT1_PAD1_USBB1_ULPITLL_DAT2,
    .func = { FuncId_USBB1_ULPITLL_DAT2, FuncId_HSI1_ACFLAG, FuncId_MCBSP4_DR, FuncId_GPIO_90, FuncId_USBB1_ULPIPHY_DAT2, FuncId_USBB1_MM_TXSE0, FuncId_ATTILA_HW_DBG26, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT3_PAD1_USBB1_ULPITLL_DAT4,
    .func = { FuncId_USBB1_ULPITLL_DAT3, FuncId_HSI1_CAREADY, FuncId_None, FuncId_GPIO_91, FuncId_USBB1_ULPIPHY_DAT3, FuncId_USBB1_MM_RXRCV, FuncId_ATTILA_HW_DBG27, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT3_PAD1_USBB1_ULPITLL_DAT4,
    .func = { FuncId_USBB1_ULPITLL_DAT4, FuncId_DMTIMER8_PWM_EVT, FuncId_ABE_MCBSP3_DR, FuncId_GPIO_92, FuncId_USBB1_ULPIPHY_DAT4, FuncId_None, FuncId_ATTILA_HW_DBG28, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT5_PAD1_USBB1_ULPITLL_DAT6,
    .func = { FuncId_USBB1_ULPITLL_DAT5, FuncId_DMTIMER9_PWM_EVT, FuncId_ABE_MCBSP3_DX, FuncId_GPIO_93, FuncId_USBB1_ULPIPHY_DAT5, FuncId_None, FuncId_ATTILA_HW_DBG29, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT5_PAD1_USBB1_ULPITLL_DAT6,
    .func = { FuncId_USBB1_ULPITLL_DAT6, FuncId_DMTIMER10_PWM_EVT, FuncId_ABE_MCBSP3_CLKX, FuncId_GPIO_94, FuncId_USBB1_ULPIPHY_DAT6, FuncId_ABE_DMIC_DIN3, FuncId_ATTILA_HW_DBG30, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT7_PAD1_USBB1_HSIC_DATA,
    .func = { FuncId_USBB1_ULPITLL_DAT7, FuncId_DMTIMER11_PWM_EVT, FuncId_ABE_MCBSP3_FSX, FuncId_GPIO_95, FuncId_USBB1_ULPIPHY_DAT7, FuncId_ABE_DMIC_CLK3, FuncId_ATTILA_HW_DBG31, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_ULPITLL_DAT7_PAD1_USBB1_HSIC_DATA,
    .func = { FuncId_USBB1_HSIC_DATA, FuncId_None, FuncId_None, FuncId_GPIO_96, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_HSIC_STROBE_PAD1_USBC1_ICUSB_DP,
    .func = { FuncId_USBB1_HSIC_STROBE, FuncId_None, FuncId_None, FuncId_GPIO_97, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB1_HSIC_STROBE_PAD1_USBC1_ICUSB_DP,
    .func = { FuncId_USBC1_ICUSB_DP, FuncId_None, FuncId_None, FuncId_GPIO_98, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBC1_ICUSB_DM_PAD1_SDMMC1_CLK,
    .func = { FuncId_USBC1_ICUSB_DM, FuncId_None, FuncId_None, FuncId_GPIO_99, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBC1_ICUSB_DM_PAD1_SDMMC1_CLK,
    .func = { FuncId_SDMMC1_CLK, FuncId_None, FuncId_DPM_EMU19, FuncId_GPIO_100, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_CMD_PAD1_SDMMC1_DAT0,
    .func = { FuncId_SDMMC1_CMD, FuncId_None, FuncId_UART1_RX, FuncId_GPIO_101, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_CMD_PAD1_SDMMC1_DAT0,
    .func = { FuncId_SDMMC1_DAT0, FuncId_None, FuncId_DPM_EMU18, FuncId_GPIO_102, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT1_PAD1_SDMMC1_DAT2,
    .func = { FuncId_SDMMC1_DAT1, FuncId_None, FuncId_DPM_EMU17, FuncId_GPIO_103, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT1_PAD1_SDMMC1_DAT2,
    .func = { FuncId_SDMMC1_DAT2, FuncId_None, FuncId_DPM_EMU16, FuncId_GPIO_104, FuncId_JTAG_TMS_TMSC, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT3_PAD1_SDMMC1_DAT4,
    .func = { FuncId_SDMMC1_DAT3, FuncId_None, FuncId_DPM_EMU15, FuncId_GPIO_105, FuncId_JTAG_TCK, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT3_PAD1_SDMMC1_DAT4,
    .func = { FuncId_SDMMC1_DAT4, FuncId_None, FuncId_None, FuncId_GPIO_106, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT5_PAD1_SDMMC1_DAT6,
    .func = { FuncId_SDMMC1_DAT5, FuncId_None, FuncId_None, FuncId_GPIO_107, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT5_PAD1_SDMMC1_DAT6,
    .func = { FuncId_SDMMC1_DAT6, FuncId_None, FuncId_None, FuncId_GPIO_108, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT7_PAD1_ABE_MCBSP2_CLKX,
    .func = { FuncId_SDMMC1_DAT7, FuncId_None, FuncId_None, FuncId_GPIO_109, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC1_DAT7_PAD1_ABE_MCBSP2_CLKX,
    .func = { FuncId_ABE_MCBSP2_CLKX, FuncId_MCSPI2_CLK, FuncId_ABE_MCASP_AHCLKX, FuncId_GPIO_110, FuncId_USBB2_MM_RXDM, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_DR_PAD1_ABE_MCBSP2_DX,
    .func = { FuncId_ABE_MCBSP2_DR, FuncId_MCSPI2_SOMI, FuncId_ABE_MCASP_AXR, FuncId_GPIO_111, FuncId_USBB2_MM_RXDP, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_DR_PAD1_ABE_MCBSP2_DX,
    .func = { FuncId_ABE_MCBSP2_DX, FuncId_MCSPI2_SIMO, FuncId_ABE_MCASP_AMUTE, FuncId_GPIO_112, FuncId_USBB2_MM_RXRCV, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_FSX_PAD1_ABE_MCBSP1_CLKX,
    .func = { FuncId_ABE_MCBSP2_FSX, FuncId_MCSPI2_CS0, FuncId_ABE_MCASP_AFSX, FuncId_GPIO_113, FuncId_USBB2_MM_TXEN, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP2_FSX_PAD1_ABE_MCBSP1_CLKX,
    .func = { FuncId_ABE_MCBSP1_CLKX, FuncId_ABE_SLIMBUS1_CLOCK, FuncId_None, FuncId_GPIO_114, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_DR_PAD1_ABE_MCBSP1_DX,
    .func = { FuncId_ABE_MCBSP1_DR, FuncId_ABE_SLIMBUS1_DATA, FuncId_None, FuncId_GPIO_115, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_DR_PAD1_ABE_MCBSP1_DX,
    .func = { FuncId_ABE_MCBSP1_DX, FuncId_SDMMC3_DAT2, FuncId_ABE_MCASP_ACLKX, FuncId_GPIO_116, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_FSX_PAD1_ABE_PDM_UL_DATA,
    .func = { FuncId_ABE_MCBSP1_FSX, FuncId_SDMMC3_DAT3, FuncId_ABE_MCASP_AMUTEIN, FuncId_GPIO_117, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_MCBSP1_FSX_PAD1_ABE_PDM_UL_DATA,
    .func = { FuncId_ABE_PDM_UL_DATA, FuncId_ABE_MCBSP3_DR, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_DL_DATA_PAD1_ABE_PDM_FRAME,
    .func = { FuncId_ABE_PDM_DL_DATA, FuncId_ABE_MCBSP3_DX, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_DL_DATA_PAD1_ABE_PDM_FRAME,
    .func = { FuncId_ABE_PDM_FRAME, FuncId_ABE_MCBSP3_CLKX, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_LB_CLK_PAD1_ABE_CLKS,
    .func = { FuncId_ABE_PDM_LB_CLK, FuncId_ABE_MCBSP3_FSX, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_PDM_LB_CLK_PAD1_ABE_CLKS,
    .func = { FuncId_ABE_CLKS, FuncId_None, FuncId_None, FuncId_GPIO_118, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_CLK1_PAD1_ABE_DMIC_DIN1,
    .func = { FuncId_ABE_DMIC_CLK1, FuncId_None, FuncId_None, FuncId_GPIO_119, FuncId_USBB2_MM_TXSE0, FuncId_UART4_CTS, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_CLK1_PAD1_ABE_DMIC_DIN1,
    .func = { FuncId_ABE_DMIC_DIN1, FuncId_None, FuncId_None, FuncId_GPIO_120, FuncId_USBB2_MM_TXDAT, FuncId_UART4_RTS, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_DIN2_PAD1_ABE_DMIC_DIN3,
    .func = { FuncId_ABE_DMIC_DIN2, FuncId_SLIMBUS2_CLOCK, FuncId_ABE_MCASP_AXR, FuncId_GPIO_121, FuncId_None, FuncId_DMTIMER11_PWM_EVT, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_ABE_DMIC_DIN2_PAD1_ABE_DMIC_DIN3,
    .func = { FuncId_ABE_DMIC_DIN3, FuncId_SLIMBUS2_DATA, FuncId_ABE_DMIC_CLK2, FuncId_GPIO_122, FuncId_None, FuncId_DMTIMER9_PWM_EVT, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_UART2_CTS_PAD1_UART2_RTS,
    .func = { FuncId_UART2_CTS, FuncId_SDMMC3_CLK, FuncId_None, FuncId_GPIO_123, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_UART2_CTS_PAD1_UART2_RTS,
    .func = { FuncId_UART2_RTS, FuncId_SDMMC3_CMD, FuncId_None, FuncId_GPIO_124, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_UART2_RX_PAD1_UART2_TX,
    .func = { FuncId_UART2_RX, FuncId_SDMMC3_DAT0, FuncId_None, FuncId_GPIO_125, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_UART2_RX_PAD1_UART2_TX,
    .func = { FuncId_UART2_TX, FuncId_SDMMC3_DAT1, FuncId_None, FuncId_GPIO_126, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_HDQ_SIO_PAD1_I2C1_SCL,
    .func = { FuncId_HDQ_SIO, FuncId_I2C3_SCCB, FuncId_I2C2_SCCB, FuncId_GPIO_127, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_HDQ_SIO_PAD1_I2C1_SCL,
    .func = { FuncId_I2C1_SCL, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C1_SDA_PAD1_I2C2_SCL,
    .func = { FuncId_I2C1_SDA, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C1_SDA_PAD1_I2C2_SCL,
    .func = { FuncId_I2C2_SCL, FuncId_UART1_RX, FuncId_None, FuncId_GPIO_128, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C2_SDA_PAD1_I2C3_SCL,
    .func = { FuncId_I2C2_SDA, FuncId_UART1_TX, FuncId_None, FuncId_GPIO_129, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C2_SDA_PAD1_I2C3_SCL,
    .func = { FuncId_I2C3_SCL, FuncId_None, FuncId_None, FuncId_GPIO_130, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C3_SDA_PAD1_I2C4_SCL,
    .func = { FuncId_I2C3_SDA, FuncId_None, FuncId_None, FuncId_GPIO_131, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C3_SDA_PAD1_I2C4_SCL,
    .func = { FuncId_I2C4_SCL, FuncId_None, FuncId_None, FuncId_GPIO_132, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C4_SDA_PAD1_MCSPI1_CLK,
    .func = { FuncId_I2C4_SDA, FuncId_None, FuncId_None, FuncId_GPIO_133, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_I2C4_SDA_PAD1_MCSPI1_CLK,
    .func = { FuncId_MCSPI1_CLK, FuncId_None, FuncId_None, FuncId_GPIO_134, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_SOMI_PAD1_MCSPI1_SIMO,
    .func = { FuncId_MCSPI1_SOMI, FuncId_None, FuncId_None, FuncId_GPIO_135, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_SOMI_PAD1_MCSPI1_SIMO,
    .func = { FuncId_MCSPI1_SIMO, FuncId_None, FuncId_None, FuncId_GPIO_136, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS0_PAD1_MCSPI1_CS1,
    .func = { FuncId_MCSPI1_CS0, FuncId_None, FuncId_None, FuncId_GPIO_137, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS0_PAD1_MCSPI1_CS1,
    .func = { FuncId_MCSPI1_CS1, FuncId_UART1_RX, FuncId_None, FuncId_GPIO_138, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS2_PAD1_MCSPI1_CS3,
    .func = { FuncId_MCSPI1_CS2, FuncId_UART1_CTS, FuncId_SLIMBUS2_CLOCK, FuncId_GPIO_139, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI1_CS2_PAD1_MCSPI1_CS3,
    .func = { FuncId_MCSPI1_CS3, FuncId_UART1_RTS, FuncId_SLIMBUS2_DATA, FuncId_GPIO_140, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_UART3_CTS_RCTX_PAD1_UART3_RTS_SD,
    .func = { FuncId_UART3_CTS_RCTX, FuncId_UART1_TX, FuncId_None, FuncId_GPIO_141, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_UART3_CTS_RCTX_PAD1_UART3_RTS_SD,
    .func = { FuncId_UART3_RTS_SD, FuncId_None, FuncId_None, FuncId_GPIO_142, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_UART3_RX_IRRX_PAD1_UART3_TX_IRTX,
    .func = { FuncId_UART3_RX_IRRX, FuncId_DMTIMER8_PWM_EVT, FuncId_None, FuncId_GPIO_143, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_UART3_RX_IRRX_PAD1_UART3_TX_IRTX,
    .func = { FuncId_UART3_TX_IRTX, FuncId_DMTIMER9_PWM_EVT, FuncId_None, FuncId_GPIO_144, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_CLK_PAD1_SDMMC5_CMD,
    .func = { FuncId_SDMMC5_CLK, FuncId_MCSPI2_CLK, FuncId_USBC1_ICUSB_DP, FuncId_GPIO_145, FuncId_None, FuncId_SDMMC2_CLK, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_CLK_PAD1_SDMMC5_CMD,
    .func = { FuncId_SDMMC5_CMD, FuncId_MCSPI2_SIMO, FuncId_USBC1_ICUSB_DM, FuncId_GPIO_146, FuncId_None, FuncId_SDMMC2_CMD, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT0_PAD1_SDMMC5_DAT1,
    .func = { FuncId_SDMMC5_DAT0, FuncId_MCSPI2_SOMI, FuncId_USBC1_ICUSB_RCV, FuncId_GPIO_147, FuncId_None, FuncId_SDMMC2_DAT0, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT0_PAD1_SDMMC5_DAT1,
    .func = { FuncId_SDMMC5_DAT1, FuncId_None, FuncId_USBC1_ICUSB_TXEN, FuncId_GPIO_148, FuncId_None, FuncId_SDMMC2_DAT1, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT2_PAD1_SDMMC5_DAT3,
    .func = { FuncId_SDMMC5_DAT2, FuncId_MCSPI2_CS1, FuncId_None, FuncId_GPIO_149, FuncId_None, FuncId_SDMMC2_DAT2, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SDMMC5_DAT2_PAD1_SDMMC5_DAT3,
    .func = { FuncId_SDMMC5_DAT3, FuncId_MCSPI2_CS0, FuncId_None, FuncId_GPIO_150, FuncId_None, FuncId_SDMMC2_DAT3, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_CLK_PAD1_MCSPI4_SIMO,
    .func = { FuncId_MCSPI4_CLK, FuncId_SDMMC4_CLK, FuncId_KPD_COL6, FuncId_GPIO_151, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_CLK_PAD1_MCSPI4_SIMO,
    .func = { FuncId_MCSPI4_SIMO, FuncId_SDMMC4_CMD, FuncId_KPD_COL7, FuncId_GPIO_152, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_SOMI_PAD1_MCSPI4_CS0,
    .func = { FuncId_MCSPI4_SOMI, FuncId_SDMMC4_DAT0, FuncId_KPD_ROW6, FuncId_GPIO_153, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_MCSPI4_SOMI_PAD1_MCSPI4_CS0,
    .func = { FuncId_MCSPI4_CS0, FuncId_SDMMC4_DAT3, FuncId_KPD_ROW7, FuncId_GPIO_154, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_UART4_RX_PAD1_UART4_TX,
    .func = { FuncId_UART4_RX, FuncId_SDMMC4_DAT2, FuncId_KPD_ROW8, FuncId_GPIO_155, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_UART4_RX_PAD1_UART4_TX,
    .func = { FuncId_UART4_TX, FuncId_SDMMC4_DAT1, FuncId_KPD_COL8, FuncId_GPIO_156, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_CLK_PAD1_USBB2_ULPITLL_STP,
    .func = { FuncId_USBB2_ULPITLL_CLK, FuncId_USBB2_ULPIPHY_CLK, FuncId_SDMMC4_CMD, FuncId_GPIO_157, FuncId_HSI2_CAWAKE, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_CLK_PAD1_USBB2_ULPITLL_STP,
    .func = { FuncId_USBB2_ULPITLL_STP, FuncId_USBB2_ULPIPHY_STP, FuncId_SDMMC4_CLK, FuncId_GPIO_158, FuncId_HSI2_CADATA, FuncId_DISPC2_DATA23, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DIR_PAD1_USBB2_ULPITLL_NXT,
    .func = { FuncId_USBB2_ULPITLL_DIR, FuncId_USBB2_ULPIPHY_DIR, FuncId_SDMMC4_DAT0, FuncId_GPIO_159, FuncId_HSI2_CAFLAG, FuncId_DISPC2_DATA22, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DIR_PAD1_USBB2_ULPITLL_NXT,
    .func = { FuncId_USBB2_ULPITLL_NXT, FuncId_USBB2_ULPIPHY_NXT, FuncId_SDMMC4_DAT1, FuncId_GPIO_160, FuncId_HSI2_ACREADY, FuncId_DISPC2_DATA21, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT0_PAD1_USBB2_ULPITLL_DAT1,
    .func = { FuncId_USBB2_ULPITLL_DAT0, FuncId_USBB2_ULPIPHY_DAT0, FuncId_SDMMC4_DAT2, FuncId_GPIO_161, FuncId_HSI2_ACWAKE, FuncId_DISPC2_DATA20, FuncId_USBB2_MM_TXEN, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT0_PAD1_USBB2_ULPITLL_DAT1,
    .func = { FuncId_USBB2_ULPITLL_DAT1, FuncId_USBB2_ULPIPHY_DAT1, FuncId_SDMMC4_DAT3, FuncId_GPIO_162, FuncId_HSI2_ACDATA, FuncId_DISPC2_DATA19, FuncId_USBB2_MM_TXDAT, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT2_PAD1_USBB2_ULPITLL_DAT3,
    .func = { FuncId_USBB2_ULPITLL_DAT2, FuncId_USBB2_ULPIPHY_DAT2, FuncId_SDMMC3_DAT2, FuncId_GPIO_163, FuncId_HSI2_ACFLAG, FuncId_DISPC2_DATA18, FuncId_USBB2_MM_TXSE0, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT2_PAD1_USBB2_ULPITLL_DAT3,
    .func = { FuncId_USBB2_ULPITLL_DAT3, FuncId_USBB2_ULPIPHY_DAT3, FuncId_SDMMC3_DAT1, FuncId_GPIO_164, FuncId_HSI2_CAREADY, FuncId_DISPC2_DATA15, FuncId_RFBI_DATA15, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT4_PAD1_USBB2_ULPITLL_DAT5,
    .func = { FuncId_USBB2_ULPITLL_DAT4, FuncId_USBB2_ULPIPHY_DAT4, FuncId_SDMMC3_DAT0, FuncId_GPIO_165, FuncId_MCSPI3_SOMI, FuncId_DISPC2_DATA14, FuncId_RFBI_DATA14, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT4_PAD1_USBB2_ULPITLL_DAT5,
    .func = { FuncId_USBB2_ULPITLL_DAT5, FuncId_USBB2_ULPIPHY_DAT5, FuncId_SDMMC3_DAT3, FuncId_GPIO_166, FuncId_MCSPI3_CS0, FuncId_DISPC2_DATA13, FuncId_RFBI_DATA13, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT6_PAD1_USBB2_ULPITLL_DAT7,
    .func = { FuncId_USBB2_ULPITLL_DAT6, FuncId_USBB2_ULPIPHY_DAT6, FuncId_SDMMC3_CMD, FuncId_GPIO_167, FuncId_MCSPI3_SIMO, FuncId_DISPC2_DATA12, FuncId_RFBI_DATA12, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_ULPITLL_DAT6_PAD1_USBB2_ULPITLL_DAT7,
    .func = { FuncId_USBB2_ULPITLL_DAT7, FuncId_USBB2_ULPIPHY_DAT7, FuncId_SDMMC3_CLK, FuncId_GPIO_168, FuncId_MCSPI3_CLK, FuncId_DISPC2_DATA11, FuncId_RFBI_DATA11, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_HSIC_DATA_PAD1_USBB2_HSIC_STROBE,
    .func = { FuncId_USBB2_HSIC_DATA, FuncId_None, FuncId_None, FuncId_GPIO_169, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBB2_HSIC_DATA_PAD1_USBB2_HSIC_STROBE,
    .func = { FuncId_USBB2_HSIC_STROBE, FuncId_None, FuncId_None, FuncId_GPIO_170, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL3_PAD1_KPD_COL4,
    .func = { FuncId_KPD_COL3, FuncId_KPD_COL0, FuncId_None, FuncId_GPIO_171, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL3_PAD1_KPD_COL4,
    .func = { FuncId_KPD_COL4, FuncId_KPD_COL1, FuncId_None, FuncId_GPIO_172, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL5_PAD1_KPD_COL0,
    .func = { FuncId_KPD_COL5, FuncId_KPD_COL2, FuncId_None, FuncId_GPIO_173, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL5_PAD1_KPD_COL0,
    .func = { FuncId_KPD_COL0, FuncId_KPD_COL3, FuncId_None, FuncId_GPIO_174, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL1_PAD1_KPD_COL2,
    .func = { FuncId_KPD_COL1, FuncId_KPD_COL4, FuncId_None, FuncId_GPIO_0, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_COL1_PAD1_KPD_COL2,
    .func = { FuncId_KPD_COL2, FuncId_KPD_COL5, FuncId_None, FuncId_GPIO_1, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW3_PAD1_KPD_ROW4,
    .func = { FuncId_KPD_ROW3, FuncId_KPD_ROW0, FuncId_None, FuncId_GPIO_175, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW3_PAD1_KPD_ROW4,
    .func = { FuncId_KPD_ROW4, FuncId_KPD_ROW1, FuncId_None, FuncId_GPIO_176, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW5_PAD1_KPD_ROW0,
    .func = { FuncId_KPD_ROW5, FuncId_KPD_ROW2, FuncId_None, FuncId_GPIO_177, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW5_PAD1_KPD_ROW0,
    .func = { FuncId_KPD_ROW0, FuncId_KPD_ROW3, FuncId_None, FuncId_GPIO_178, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW1_PAD1_KPD_ROW2,
    .func = { FuncId_KPD_ROW1, FuncId_KPD_ROW4, FuncId_None, FuncId_GPIO_2, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_KPD_ROW1_PAD1_KPD_ROW2,
    .func = { FuncId_KPD_ROW2, FuncId_KPD_ROW5, FuncId_None, FuncId_GPIO_3, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_CE_PAD1_USBA0_OTG_DP,
    .func = { FuncId_USBA0_OTG_CE, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED, FuncId_RESERVED }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_CE_PAD1_USBA0_OTG_DP,
    .func = { FuncId_USBA0_OTG_DP, FuncId_UART3_RX_IRRX, FuncId_UART2_RX, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_DM_PAD1_FREF_CLK1_OUT,
    .func = { FuncId_USBA0_OTG_DM, FuncId_UART3_TX_IRTX, FuncId_UART2_TX, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_USBA0_OTG_DM_PAD1_FREF_CLK1_OUT,
    .func = { FuncId_FREF_CLK1_OUT, FuncId_None, FuncId_None, FuncId_GPIO_181, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_FREF_CLK2_OUT_PAD1_SYS_NIRQ1,
    .func = { FuncId_FREF_CLK2_OUT, FuncId_None, FuncId_None, FuncId_GPIO_182, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_FREF_CLK2_OUT_PAD1_SYS_NIRQ1,
    .func = { FuncId_SYS_NIRQ1, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_NIRQ2_PAD1_SYS_BOOT0,
    .func = { FuncId_SYS_NIRQ2, FuncId_None, FuncId_None, FuncId_GPIO_183, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_NIRQ2_PAD1_SYS_BOOT0,
    .func = { FuncId_SYS_BOOT0, FuncId_None, FuncId_None, FuncId_GPIO_184, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT1_PAD1_SYS_BOOT2,
    .func = { FuncId_SYS_BOOT1, FuncId_None, FuncId_None, FuncId_GPIO_185, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT1_PAD1_SYS_BOOT2,
    .func = { FuncId_SYS_BOOT2, FuncId_None, FuncId_None, FuncId_GPIO_186, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT3_PAD1_SYS_BOOT4,
    .func = { FuncId_SYS_BOOT3, FuncId_None, FuncId_None, FuncId_GPIO_187, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT3_PAD1_SYS_BOOT4,
    .func = { FuncId_SYS_BOOT4, FuncId_None, FuncId_None, FuncId_GPIO_188, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT5_PAD1_DPM_EMU0,
    .func = { FuncId_SYS_BOOT5, FuncId_None, FuncId_None, FuncId_GPIO_189, FuncId_None, FuncId_None, FuncId_None, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_SYS_BOOT5_PAD1_DPM_EMU0,
    .func = { FuncId_DPM_EMU0, FuncId_None, FuncId_None, FuncId_GPIO_11, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG0, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU1_PAD1_DPM_EMU2,
    .func = { FuncId_DPM_EMU1, FuncId_None, FuncId_None, FuncId_GPIO_12, FuncId_None, FuncId_None, FuncId_ATTILA_HW_DBG1, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU1_PAD1_DPM_EMU2,
    .func = { FuncId_DPM_EMU2, FuncId_USBA0_ULPIPHY_CLK, FuncId_None, FuncId_GPIO_13, FuncId_None, FuncId_DISPC2_FID, FuncId_ATTILA_HW_DBG2, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU3_PAD1_DPM_EMU4,
    .func = { FuncId_DPM_EMU3, FuncId_USBA0_ULPIPHY_STP, FuncId_None, FuncId_GPIO_14, FuncId_RFBI_DATA10, FuncId_DISPC2_DATA10, FuncId_ATTILA_HW_DBG3, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU3_PAD1_DPM_EMU4,
    .func = { FuncId_DPM_EMU4, FuncId_USBA0_ULPIPHY_DIR, FuncId_None, FuncId_GPIO_15, FuncId_RFBI_DATA9, FuncId_DISPC2_DATA9, FuncId_ATTILA_HW_DBG4, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU5_PAD1_DPM_EMU6,
    .func = { FuncId_DPM_EMU5, FuncId_USBA0_ULPIPHY_NXT, FuncId_None, FuncId_GPIO_16, FuncId_RFBI_TE_VSYNC0, FuncId_DISPC2_DATA16, FuncId_ATTILA_HW_DBG5, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU5_PAD1_DPM_EMU6,
    .func = { FuncId_DPM_EMU6, FuncId_USBA0_ULPIPHY_DAT0, FuncId_UART3_TX_IRTX, FuncId_GPIO_17, FuncId_RFBI_HSYNC0, FuncId_DISPC2_DATA17, FuncId_ATTILA_HW_DBG6, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU7_PAD1_DPM_EMU8,
    .func = { FuncId_DPM_EMU7, FuncId_USBA0_ULPIPHY_DAT1, FuncId_UART3_RX_IRRX, FuncId_GPIO_18, FuncId_RFBI_CS0, FuncId_DISPC2_HSYNC, FuncId_ATTILA_HW_DBG7, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU7_PAD1_DPM_EMU8,
    .func = { FuncId_DPM_EMU8, FuncId_USBA0_ULPIPHY_DAT2, FuncId_UART3_RTS_SD, FuncId_GPIO_19, FuncId_RFBI_RE, FuncId_DISPC2_PCLK, FuncId_ATTILA_HW_DBG8, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU9_PAD1_DPM_EMU10,
    .func = { FuncId_DPM_EMU9, FuncId_USBA0_ULPIPHY_DAT3, FuncId_UART3_CTS_RCTX, FuncId_GPIO_20, FuncId_RFBI_WE, FuncId_DISPC2_VSYNC, FuncId_ATTILA_HW_DBG9, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU9_PAD1_DPM_EMU10,
    .func = { FuncId_DPM_EMU10, FuncId_USBA0_ULPIPHY_DAT4, FuncId_None, FuncId_GPIO_21, FuncId_RFBI_A0, FuncId_DISPC2_DE, FuncId_ATTILA_HW_DBG10, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU11_PAD1_DPM_EMU12,
    .func = { FuncId_DPM_EMU11, FuncId_USBA0_ULPIPHY_DAT5, FuncId_None, FuncId_GPIO_22, FuncId_RFBI_DATA8, FuncId_DISPC2_DATA8, FuncId_ATTILA_HW_DBG11, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU11_PAD1_DPM_EMU12,
    .func = { FuncId_DPM_EMU12, FuncId_USBA0_ULPIPHY_DAT6, FuncId_None, FuncId_GPIO_23, FuncId_RFBI_DATA7, FuncId_DISPC2_DATA7, FuncId_ATTILA_HW_DBG12, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU13_PAD1_DPM_EMU14,
    .func = { FuncId_DPM_EMU13, FuncId_USBA0_ULPIPHY_DAT7, FuncId_None, FuncId_GPIO_24, FuncId_RFBI_DATA6, FuncId_DISPC2_DATA6, FuncId_ATTILA_HW_DBG13, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU13_PAD1_DPM_EMU14,
    .func = { FuncId_DPM_EMU14, FuncId_RESERVED, FuncId_UART1_RX, FuncId_GPIO_25, FuncId_RFBI_DATA5, FuncId_DISPC2_DATA5, FuncId_ATTILA_HW_DBG14, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU15_PAD1_DPM_EMU16,
    .func = { FuncId_DPM_EMU15, FuncId_RESERVED, FuncId_None, FuncId_GPIO_26, FuncId_RFBI_DATA4, FuncId_DISPC2_DATA4, FuncId_ATTILA_HW_DBG15, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU15_PAD1_DPM_EMU16,
    .func = { FuncId_DPM_EMU16, FuncId_DMTIMER8_PWM_EVT, FuncId_DSI1_TE0, FuncId_GPIO_27, FuncId_RFBI_DATA3, FuncId_DISPC2_DATA3, FuncId_ATTILA_HW_DBG16, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU17_PAD1_DPM_EMU18,
    .func = { FuncId_DPM_EMU17, FuncId_DMTIMER9_PWM_EVT, FuncId_DSI1_TE1, FuncId_GPIO_28, FuncId_RFBI_DATA2, FuncId_DISPC2_DATA2, FuncId_ATTILA_HW_DBG17, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD1, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU17_PAD1_DPM_EMU18,
    .func = { FuncId_DPM_EMU18, FuncId_DMTIMER10_PWM_EVT, FuncId_DSI2_TE0, FuncId_GPIO_190, FuncId_RFBI_DATA1, FuncId_DISPC2_DATA1, FuncId_ATTILA_HW_DBG18, FuncId_SAFE_MODE }},
  { .pad = PADCONF_PAD0, .id = OMAP44XX_CONTROL_CORE_PAD0_DPM_EMU19,
    .func = { FuncId_DPM_EMU19, FuncId_DMTIMER11_PWM_EVT, FuncId_DSI2_TE1, FuncId_GPIO_191, FuncId_RFBI_DATA0, FuncId_DISPC2_DATA0, FuncId_ATTILA_HW_DBG19, FuncId_SAFE_MODE }},

};

#endif /* OMAP4430_PADCONF_CFG_TABLE */

int
omap4_padconf_core_init
(
   unsigned char my_version,
   pin_cfg_t*    cfg_tbl,            // Pointer to a NULL terminated configuration table!
   unsigned      table_size
);

int
omap4_padconf_wkup_init
(
   unsigned char my_version,
   pin_cfg_t*    cfg_tbl,            // Pointer to a NULL terminated configuration table!
   unsigned      table_size
);

#endif /* __OMAP4430_PADCONF_H__ */

#if defined(__QNXNTO__) && defined(__USESRCVERSION)
#include <sys/srcversion.h>
__SRCVERSION("$URL: http://svn/product/branches/6.6.0/trunk/hardware/startup/lib/public/arm/omap4_padconf.h $ $Rev: 736706 $")
#endif
