#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include <devctl.h>
#include <hw/i2c.h>

#include "fpga.h"

static int fd;

int fpga_init(void)
{
	if(fd != 0)
		return fd;

	fd = open("/dev/i2c1", O_RDWR);
   
	return fd;
}


int fpeek8(int twifd, unsigned short addr)
{
    iov_t           siov[2], riov[2];
    i2c_sendrecv_t  hdr;
    unsigned short reg;
    unsigned char val;

    reg = ((addr >> 8) & 0xFF) | ((addr << 8) & 0xFF00);
    
    hdr.slave.addr = FPGA_I2C_ADDRESS;
    hdr.slave.fmt = I2C_ADDRFMT_7BIT;
    hdr.send_len = 2;
    hdr.recv_len = 1;
    hdr.stop = 1;

    SETIOV(&siov[0], &hdr, sizeof(hdr));
    SETIOV(&siov[1], &reg, sizeof(reg));

    SETIOV(&riov[0], &hdr, sizeof(hdr));
    SETIOV(&riov[1], &val, sizeof(val));

    if (devctlv(twifd, DCMD_I2C_SENDRECV, 2, 2, siov, riov, NULL))
      return -1;
    else
      return val;
}

int fpoke8(int twifd, unsigned short addr, unsigned char value)
{
    iov_t           siov[3];
    i2c_send_t      hdr;
    unsigned short reg;
    
    reg = ((addr >> 8) & 0xFF) | ((addr << 8) & 0xFF00);
    
    hdr.slave.addr = FPGA_I2C_ADDRESS;
    hdr.slave.fmt = I2C_ADDRFMT_7BIT;
    hdr.len = 3;   
    hdr.stop = 1;

    SETIOV(&siov[0], &hdr, sizeof(hdr));
    SETIOV(&siov[1], &reg, sizeof(reg));
    SETIOV(&siov[2], &value, sizeof(value));

    return devctlv(twifd, DCMD_I2C_SEND, 3, 0, siov, NULL, NULL);
}

